const util = require('../../utils/util.js');
const tools = require('../../utils/tools.js');
var QQMapWX = require('../../libs/qqmap-wx-jssdk.min.js');
var isonShow;
var isTwoOnshow;
Page({
  data: {
    codeArr: [],
    nowAdress: false,
    color: '#898989',
    paizhaofalg: false,
    activeIndex: 0,
    addOldname: '',
    addOldname1: '',
    showAdress: false,
    pleaseChoose: true,
    chooseAdressArr: [],
    currentIndex: 0,
    showBj: false,
    showBj1: false,
    src1: '../../images/mz/5.png',
    src2: '../../images/mz/1.png',
    src3: '../../images/mz/6.png',
    src4: '../../images/mz/2.png',
    src5: '../../images/mz/7.png',
    src6: '../../images/mz/3.png',
    src7: '../../images/mz/8.png',
    src8: '../../images/mz/4.png',
    sexArr: [{
        value: '男',
        name: '男'
      },
      {
        value: '女',
        name: '女',
      }
    ],
    nameArr: [],
    oldCard: [{
      name: false
    }],
    oldCard1: [{
      name: false
    }],
    oldCard2: [{
      name: false
    }],
    // tab1老人信息
    oldInfo: [{
      name: '',
      isSameWithAddress: [{
        name: '现居地址与户籍地址一致'
      }],
      addressExt: '',
      nativePlaceExt: '',
      oldSex: [{
        name: '男'
      }, {
        name: '女'
      }],
      nation: '', //民族
      idNumber: '', //身份证号
      phone: '',
      chooseAdressArr: [],
      chooseAdressArr1: [],
      oldMarry: [{
        name: "未婚"
      }, {
        name: "已婚"
      }, {
        name: "离异"
      }, {
        name: "丧偶"
      }],
      partnerName: '',
      partnerIdNumber: '',
      healthAyy: [{
        name: "健康",
        disabled: false
      }, {
        name: "残疾",
        disabled: false
      }, {
        name: "患重特大疾病",
        disabled: false
      }, {
        name: "老年人慢性病",
        disabled: false
      }],
      disabilityAyy: [{
        name: "视力残疾"
      }, {
        name: "听力残疾"
      }, {
        name: "言语残疾"
      }, {
        name: "肢体残疾"
      }, {
        name: "智力残疾"
      }, {
        name: "精神残疾"
      }, {
        name: "多重残疾"
      }],
      disabilityLevel: '', //残疾人类别
      sickType: [{
        name: "重大器官类疾病"
      }, {
        name: "心脑血管类疾病"
      }, {
        name: "神经与代谢类疾病"
      }, {
        name: "肢体与病毒类疾病"
      }, {
        name: "恶性肿瘤"
      }],
      ability: '', //老年人能力情况
      livingCondition: '', //生活经济情况
      moneyFromAyy: [{
        name: "家庭经营性收入"
      }, {
        name: "工资性收入"
      }, {
        name: "转移性收入"
      }, {
        name: "财产性收入"
      }, {
        name: "其它"
      }],
      income: '',
      sourceOfIncomeExt: '', //其他收入情况
      familyHelpArr: [{
        name: "低保"
      }, {
        name: "建档立卡贫困户"
      }, {
        name: "医疗救助"
      }, {
        name: "临时救助"
      }, {
        name: "老年人福利津贴"
      }, {
        name: "残疾人两项补贴（或一项补贴)"
      }, {
        name: "其他救助"
      }],
      rescueStateExt: '', //其他救助
      loneArr: [{
        name: "是"
      }, {
        name: "否"
      }],
      liveStatus: [{
        name: "无人陪伴居住",
        disabled: false
      }, {
        name: "配偶",
        disabled: false
      }, {
        name: "近亲属",
        disabled: false
      }, {
        name: "未成年孙子女",
        disabled: false
      }, {
        name: "其他情形",
        disabled: false
      }],
      accompanyExt: '', //陪伴居住其他
      oftenMan: [{
        name: "无人照料",
        disabled: false
      }, {
        name: "近亲属",
        disabled: false
      }, {
        name: "配偶",
        disabled: false
      }, {
        name: "邻里互助",
        disabled: false
      }, {
        name: "购买养老服务",
        disabled: false
      }, {
        name: "其他人员",
        disabled: false
      }],
      lookAfterExt: '', //其他日常生活照料人关系
      mainLookName: '', //日常生活照料人姓名
      mainLookSex: [{
        name: "男"
      }, {
        name: "女"
      }],
      mainLookPhone: '', //
      loveRequire: [{
          name: "生活照料"
        },
        {
          name: "生产帮助"
        },
        {
          name: "精神慰藉"
        },
        {
          name: "医疗保健"
        },
        {
          name: "权益维护"
        },
        {
          name: "安全监护"
        },
        {
          name: "文化娱乐"
        },
        {
          name: "紧急救助"
        },
        {
          name: "其它"
        },
      ],
      oldType: [{
        name: "农村留守老年人",
        disable: false,
        checked: false
      }, {
        name: "分散供养特困老年人",
        disable: false,
        checked: false
      }, {
        name: "计划生育特殊家庭老人",
        disable: false,
        checked: false
      }, {
        name: "空巢老年人",
        disable: false,
        checked: false
      }, {
        name: "独居老年人",
        disable: false,
        checked: false
      }, {
        name: "重残老年人",
        disable: false,
        checked: false
      }, {
        name: "高龄老年人",
        disable: false,
        checked: false
      }],
      isHavePhoto: false,
      imgPath: '',
      photoAndLocation: '',
    }],
    mzArr: ["汉族", "壮族", "满族", "回族", "苗族", "维吾尔族", "土家族", "彝族", "蒙古族", "藏族", "布依族", "侗族", "瑶族", "朝鲜族", "白族", "哈尼族",
      "哈萨克族", "黎族", "傣族", "畲族", "傈僳族", "仡佬族", "东乡族", "高山族", "拉祜族", "水族", "佤族", "纳西族", "羌族", "土族", "仫佬族", "锡伯族",
      "柯尔克孜族", "达斡尔族", "景颇族", "毛南族", "撒拉族", "布朗族", "塔吉克族", "阿昌族", "普米族", "鄂温克族", "怒族", "京族", "基诺族", "德昂族", "保安族",
      "俄罗斯族", "裕固族", "乌孜别克族", "门巴族", "鄂伦春族", "独龙族", "塔塔尔族", "赫哲族", "珞巴族"
    ],
    ableStatus: ["完全自理", "半失能(部分自理)", "完全失能"], //老年人能力情况
    chooseAdressArr: [],
    disableLeval: ["一级", "二级", "三级", "四级"],
    moneyStatus: ["建档立卡贫困户", "一般家庭", "低保", "特困供养人员"],
    payMoney: ["5000元以下", "5000-10000元", "10000元以上"],
    loveRequire: [{
        name: "生活照料"
      },
      {
        name: "生产帮助"
      },
      {
        name: "精神慰藉"
      },
      {
        name: "医疗保健"
      },
      {
        name: "权益维护"
      },
      {
        name: "安全监护"
      },
      {
        name: "文化娱乐"
      },
      {
        name: "紧急救助"
      },
      {
        name: "其它"
      },

    ],
    isHavePhoto: false,
    // tab2
    childInfo: [{
      childrenNum: ''
    }],
    childNumArr: [
      '0个', '1个', '2个', '3个', '3个以上'
    ],
    ischildName: [false, false, false],
    childSexArr: ['男', '女'],
    ischildPhone: [false, false, false],
    childIsout: ['是', '否'],
    showchildOut: [false, false, false],
    ischildOutReason: [false, false, false],
    region0: [
      ['', '', ''],
      ['', '', ''],
      ['', '', '']
    ],
    childLeaveDate: ['', '', ''],
    childIsMArry: ['是', '否'],
    ischildMarry: [false, false, false],
    ischildMarryName: [false, false, false],
    ischildMarryPhone: [false, false, false],
    childTfTimes: ['0次', '1次', '2次及以上'],
    //  tab3
    otherInfo: [{
      isHasOther: '',
      Info: {
        name: '', // 其他赡养人姓名,
        sex: '', //其他赡养人性别
        phone: '', //其他赡养人电话,
        relation: '', //与被赡养人关系 如果选了其他也是必填 单选
        relationExt: '', //与被赡养人关系--其他
        isHasGoOut: '', //是否外出
        outgoingCause: '', //外出原因
        outgoingplace: '', // 外出地点
        outgoingTime: '', // 最后一次离家时间
        isHasPartner: '', //是否有配偶  当是的时候  子女配偶姓名 子女配偶电话 必填   0:是  1：否
        name2: '',
        phone2: '',
        visit: '', //平均一年探望次数
        othersyrSexArr: [{
            name: '男',
            checked: false
          },
          {
            name: '女',
            checked: false
          },
        ]
      }
    }],
    othersyrArr: ['是', '否'],
    othersyrSexArr: ['男', '女'],
    othersyrRelation: [
      "近亲属", "孙子女", "兄弟姐妹", "其他"
    ],
    othersyrIsout: ['是', '否'],
    region: ['', '', ''],
    othersyrIsMarry: ['是', '否'],
    othersyrTfTimes: [
      '0次', '1次', '2次及以上'
    ],
    // tab4
    regularsInfos: [{
      visitMode: [{
        name: '电话问候',
        checked: false
      }, {
        name: '上门巡访',
        checked: false
      }, {
        name: '其它',
        checked: false
      }],
      visitModeExt: '', //巡访其他
      visitCount: [{
        name: '每天',
        checked: false
      }, {
        name: '每周',
        checked: false
      }, {
        name: '每月',
        checked: false
      }, {
        name: '每季',
        checked: false
      }, {
        name: '其它',
        checked: false
      }],
      visitCountExt: '', // 频次的其他
    }],
    regularsInfo: [{
      visitMode: '',
      visitModeExt: '', //巡访其他
      visitCount: '',
      visitCountExt: '', // 频次的其他
    }],
    multiArray: [
      [],
      [],
      [],
      [],
      []
    ],
    multiIndex: [0, 0, 0, 0, 0]
  },
  chooseAdress() {
    let arr = 'multiArray[0]'
    wx.request({
      url: util.globalData.publicUrl + '/civilregionalism/deptList',
      method: "get",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      success: (res) => {
        let newdata = [];
        let j;
        res.data.data.forEach(item => {
          newdata.push(item);
        });
        for (var i = 0; i < newdata.length; i++) {
          if (newdata[i].CIVILREGIONALISMNAME == '吉林省') {
            j = i;
          }
        }
        newdata.unshift(newdata[j])
        newdata.splice(j + 1, 1);
        this.setData({
          [arr]: newdata,
        })
        this.chooseAdress2();
      }
    })
  },
  chooseAdress2(fid) {
    let mid;
    if (fid) {
      mid = fid
    } else {
      mid = this.data.multiArray[0][0].CIVILREGIONALISMID
    }
    let arr = 'multiArray[1]'
    let newdata = [];
    wx.request({
      url: util.globalData.publicUrl + '/civilregionalism/deptList',
      method: "get",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        fid: mid
      },
      success: (res) => {
        res.data.data.forEach(item => {
          newdata.push(item)
        });
        this.setData({
          [arr]: newdata
        })
        this.chooseAdress3();
      }
    })
  },
  chooseAdress3(fid) {
    let mid;
    if (fid) {
      mid = fid
    } else {
      mid = this.data.multiArray[1][0].CIVILREGIONALISMID
    }
    let arr = 'multiArray[2]'
    let newdata = [];
    wx.request({
      url: util.globalData.publicUrl + '/civilregionalism/deptList',
      method: "get",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        fid: mid
      },
      success: (res) => {
        res.data.data.forEach(item => {
          newdata.push(item)
        });
        this.setData({
          [arr]: newdata
        })
        this.chooseAdress4();
      }
    })
  },
  chooseAdress4(fid) {
    let mid;
    if (fid) {
      mid = fid
    } else {
      mid = this.data.multiArray[2][0].CIVILREGIONALISMID
    }
    let arr = 'multiArray[3]'
    let newdata = [];
    wx.request({
      url: util.globalData.publicUrl + '/civilregionalism/deptList',
      method: "get",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        fid: mid
      },
      success: (res) => {
        res.data.data.forEach(item => {
          newdata.push(item)
        });
        this.setData({
          [arr]: newdata
        })
        this.chooseAdress5();
      }
    })
  },
  chooseAdress5(fid) {
    let mid;
    if (fid) {
      mid = fid
    } else {
      mid = this.data.multiArray[3][0].CIVILREGIONALISMID
    }
    let arr = 'multiArray[4]'
    let newdata = [];
    wx.request({
      url: util.globalData.publicUrl + '/civilregionalism/deptList',
      method: "get",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        fid: mid
      },
      success: (res) => {
        res.data.data.forEach(item => {
          newdata.push(item)
        });
        this.setData({
          [arr]: newdata
        })
        wx.hideLoading()
      }
    })
  },
  bindMultiPickerChange: function (e) {
    let arr = 'oldInfo[' + this.data.activeIndex + '].chooseAdressArr'
    let province = this.data.multiArray[0][e.detail.value[0]].CIVILREGIONALISMNAME;
    let city = this.data.multiArray[1][e.detail.value[1]].CIVILREGIONALISMNAME;
    let area = this.data.multiArray[2][e.detail.value[2]].CIVILREGIONALISMNAME;
    let town = this.data.multiArray[3][e.detail.value[3]].CIVILREGIONALISMNAME;
    let village = this.data.multiArray[4][e.detail.value[4]].CIVILREGIONALISMNAME;
    let provinceCode = this.data.multiArray[0][e.detail.value[0]].CIVILREGIONALISMCODE;
    let cityCode = this.data.multiArray[1][e.detail.value[1]].CIVILREGIONALISMCODE;
    let areaCode = this.data.multiArray[2][e.detail.value[2]].CIVILREGIONALISMCODE;
    let townCode = this.data.multiArray[3][e.detail.value[3]].CIVILREGIONALISMCODE;
    let villageCode = this.data.multiArray[4][e.detail.value[4]].CIVILREGIONALISMCODE;
    this.setData({
      multiIndex: e.detail.value,
      [arr]: [],
      codeArr: []
    })
    this.data.codeArr.push(provinceCode, cityCode, areaCode, townCode, villageCode)
    this.data.oldInfo[this.data.activeIndex].chooseAdressArr.push(province, city, area, town, village)
    let a = this.data.oldInfo[this.data.activeIndex].chooseAdressArr.join("/");
    let b = this.data.codeArr.join(",")
    console.log(this.data.codeArr, '我是codeArr00000')
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      nativePlace: a,
      nativePlaceId: b
    })
    this.setData({
      [arr]: this.data.oldInfo[this.data.activeIndex].chooseAdressArr
    })
    console.log(this.data.oldInfo[this.data.activeIndex].isSameWithAddress, '是否一致？')
    if (this.data.oldInfo[this.data.activeIndex].isSameWithAddress[0].checked) {
      let Info = 'oldInfo[' + this.data.activeIndex + '].chooseAdressArr1'
      let Infos = 'oldInfo[' + this.data.activeIndex + '].addressExt'
      this.setData({
        [Info]: this.data.oldInfo[this.data.activeIndex].chooseAdressArr,
        [Infos]: this.data.oldInfo[this.data.activeIndex].nativePlaceExt
      })
      let a = this.data.oldInfo[this.data.activeIndex].chooseAdressArr.join("/");
      console.log(this.data.codeArr)
      let b = this.data.codeArr.join(",")
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        address: a,
        addressId: b
      })
    }
  },
  bindMultiPickerColumnChange: function (e) {
    if (e.detail.column == 0) {
      this.chooseAdress2(this.data.multiArray[0][e.detail.value].CIVILREGIONALISMID);
    } else if (e.detail.column == 1) {
      this.chooseAdress3(this.data.multiArray[1][e.detail.value].CIVILREGIONALISMID);
    } else if (e.detail.column == 2) {
      this.chooseAdress4(this.data.multiArray[2][e.detail.value].CIVILREGIONALISMID);
    } else if (e.detail.column == 3) {
      this.chooseAdress5(this.data.multiArray[3][e.detail.value].CIVILREGIONALISMID);
    }
  },
  bindMultiPickerChange1: function (e) {
    let arr = 'oldInfo[' + this.data.activeIndex + '].chooseAdressArr1'
    let province = this.data.multiArray[0][e.detail.value[0]].CIVILREGIONALISMNAME;
    let city = this.data.multiArray[1][e.detail.value[1]].CIVILREGIONALISMNAME;
    let area = this.data.multiArray[2][e.detail.value[2]].CIVILREGIONALISMNAME;
    let town = this.data.multiArray[3][e.detail.value[3]].CIVILREGIONALISMNAME;
    let village = this.data.multiArray[4][e.detail.value[4]].CIVILREGIONALISMNAME;
    let provinceCode = this.data.multiArray[0][e.detail.value[0]].CIVILREGIONALISMCODE;
    let cityCode = this.data.multiArray[1][e.detail.value[1]].CIVILREGIONALISMCODE;
    let areaCode = this.data.multiArray[2][e.detail.value[2]].CIVILREGIONALISMCODE;
    let townCode = this.data.multiArray[3][e.detail.value[3]].CIVILREGIONALISMCODE;
    let villageCode = this.data.multiArray[4][e.detail.value[4]].CIVILREGIONALISMCODE;
    this.setData({
      multiIndex1: e.detail.value,
      [arr]: []
    })
    let codeArr = [];
    codeArr.push(provinceCode, cityCode, areaCode, townCode, villageCode)
    this.data.oldInfo[this.data.activeIndex].chooseAdressArr1.push(province, city, area, town, village)
    let a = this.data.oldInfo[this.data.activeIndex].chooseAdressArr1.join("/");
    let b = codeArr.join(",")
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      address: a,
      addressId: b
    })
    this.setData({
      [arr]: this.data.oldInfo[this.data.activeIndex].chooseAdressArr1
    })
  },
  // 左侧点击
  turn(e) {
    let index = e.currentTarget.dataset.index
    this.setData({
      currentIndex: index
    })
  },
  addOldName(e) {
    this.setData({
      addOldname: e.detail.value
    })
  },
  addOldName1(e) {
    this.setData({
      addOldname1: e.detail.value
    })
  },
  qx() {
    wx.switchTab({
      url: '/pages/index/index',
    })
  },
  qx1() {
    this.setData({
      showBj1: false
    })
  },
  switchNameTab(e) {
    console.log(this.data.childInfo, "$%^&%$#%^&^%$%^&")
    this.setData({
      activeIndex: e.currentTarget.dataset.index,
      currentIndex: 0
    })
    // wx.request({
    //   url: util.globalData.publicUrl + '/wxinfo/one',
    //   method: "get",
    //   header: {
    //     appletsId: wx.getStorageSync('openId')
    //   },
    //   data: {
    //     id: e.currentTarget.dataset.item._id
    //   },
    //   success: (res) => {
    //     if (res.data.code == 0) {

    //     }
    //   }
    // })
  },
  sure() {
    let han = /^[\u4e00-\u9fa5]+$/;
    if (this.data.addOldname == '' || this.data.addOldname == null) {
      wx.showModal({
        showCancel: false,
        content: '老人姓名不可以为空哦'
      })
      return false
    }

    if (!han.test(this.data.addOldname)) {
      wx.showModal({
        showCancel: false,
        content: '您输入的内容不是汉字哦'
      })
      return false;
    };
    if (this.data.addOldname.length < 2) {
      wx.showModal({
        showCancel: false,
        content: '老人姓名不可以少于两个字哦'
      })
      return false
    }
    this.setData({
      showBj: false,
      activeIndex: 0
    })
    wx.request({
      url: util.globalData.publicUrl + '/wxinfo/add',
      method: "post",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        name: this.data.addOldname
      },
      success: (res) => {
        if (res.data.code == 0) {
          let name = 'oldInfo[' + this.data.activeIndex + '].name'
          this.setData({
            nameArr: this.data.nameArr.concat(res.data.data),
            familyFid: res.data.data.fid,
            [name]: this.data.addOldname,
            oldInfo: this.data.oldInfo
          })
          this.getSelfLocation();
          console.log(this.data.nameArr)
          console.log(this.data.oldInfo, "添加的他");

        }
      }
    })
  },
  sure1() {
    let han = /^[\u4e00-\u9fa5]+$/;
    if (this.data.addOldname1 == '' || this.data.addOldname1 == null) {
      wx.showModal({
        showCancel: false,
        content: '老人姓名不可以为空哦'
      })
      return false
    }
    if (!han.test(this.data.addOldname1)) {
      wx.showModal({
        showCancel: false,
        content: '您输入的内容不是汉字哦'
      })
      return false;
    };
    if (this.data.addOldname1.length < 2) {
      wx.showModal({
        showCancel: false,
        content: '老人姓名不可以少于两个字哦'
      })
      return false
    }
    this.setData({
      showBj1: false,
      currentIndex: 0
    })
    wx.request({
      url: util.globalData.publicUrl + '/wxinfo/add',
      method: "post",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        name: this.data.addOldname1,
        fid: this.data.familyFid
      },
      success: (res) => {
        if (res.data.code == 0) {
          this.data.oldCard.push({
            name: false
          })
          this.data.oldCard1.push({
            name: false
          })
          this.data.oldCard2.push({
            name: false
          })
          this.data.oldInfo.push({
            name: this.data.addOldname1,
            addressExt: '',
            nativePlaceExt: '',
            isSameWithAddress: [{
              name: '现居地址与户籍地址一致'
            }],
            oldSex: [{
              name: '男'
            }, {
              name: '女'
            }],
            nation: '',
            idNumber: '',
            phone: '',
            chooseAdressArr: [],
            chooseAdressArr1: [],
            oldMarry: [{
              name: "未婚"
            }, {
              name: "已婚"
            }, {
              name: "离异"
            }, {
              name: "丧偶"
            }],
            partnerName: '',
            partnerIdNumber: '',
            healthAyy: [{
              name: "健康",
              disabled: false
            }, {
              name: "残疾",
              disabled: false
            }, {
              name: "患重特大疾病",
              disabled: false
            }, {
              name: "老年人慢性病",
              disabled: false
            }],
            disabilityAyy: [{
              name: "视力残疾"
            }, {
              name: "听力残疾"
            }, {
              name: "言语残疾"
            }, {
              name: "肢体残疾"
            }, {
              name: "智力残疾"
            }, {
              name: "精神残疾"
            }, {
              name: "多重残疾"
            }],
            disabilityLevel: '', //残疾人等级
            sickType: [{
              name: "重大器官类疾病"
            }, {
              name: "心脑血管类疾病"
            }, {
              name: "神经与代谢类疾病"
            }, {
              name: "肢体与病毒类疾病"
            }, {
              name: "恶性肿瘤"
            }],
            ability: '',
            moneyFromAyy: [{
              name: "家庭经营性收入"
            }, {
              name: "工资性收入"
            }, {
              name: "转移性收入"
            }, {
              name: "财产性收入"
            }, {
              name: "其它"
            }],
            income: '',
            sourceOfIncomeExt: '',
            familyHelpArr: [{
              name: "低保"
            }, {
              name: "建档立卡贫困户"
            }, {
              name: "医疗救助"
            }, {
              name: "临时救助"
            }, {
              name: "老年人福利津贴"
            }, {
              name: "残疾人两项补贴（或一项补贴)"
            }, {
              name: "其他救助"
            }],
            rescueStateExt: '', //其他救助
            loneArr: [{
              name: "是"
            }, {
              name: "否"
            }],
            liveStatus: [{
              name: "无人陪伴居住",
              disabled: false
            }, {
              name: "配偶",
              disabled: false
            }, {
              name: "近亲属",
              disabled: false
            }, {
              name: "未成年孙子女",
              disabled: false
            }, {
              name: "其他情形",
              disabled: false
            }],
            accompanyExt: '', //陪伴居住其他
            oftenMan: [{
              name: "无人照料",
              disabled: false
            }, {
              name: "近亲属",
              disabled: false
            }, {
              name: "配偶",
              disabled: false
            }, {
              name: "邻里互助",
              disabled: false
            }, {
              name: "购买养老服务",
              disabled: false
            }, {
              name: "其他人员",
              disabled: false
            }],
            lookAfterExt: '', //其他日常生活照料人
            mainLookName: '', //日常生活照料人姓名
            mainLookSex: [{
              name: "男"
            }, {
              name: "女"
            }],
            mainLookPhone: '', //日常生活照料人电话
            loveRequire: [{
                name: "生活照料"
              },
              {
                name: "生产帮助"
              },
              {
                name: "精神慰藉"
              },
              {
                name: "医疗保健"
              },
              {
                name: "权益维护"
              },
              {
                name: "安全监护"
              },
              {
                name: "文化娱乐"
              },
              {
                name: "紧急救助"
              },
              {
                name: "其它"
              },
            ],
            oldType: [{
              name: "农村留守老年人",
              disable: false,
              checked: false
            }, {
              name: "分散供养特困老年人",
              disable: false,
              checked: false
            }, {
              name: "计划生育特殊家庭老人",
              disable: false,
              checked: false
            }, {
              name: "空巢老年人",
              disable: false,
              checked: false
            }, {
              name: "独居老年人",
              disable: false,
              checked: false
            }, {
              name: "重残老年人",
              disable: false,
              checked: false
            }, {
              name: "高龄老年人",
              disable: false,
              checked: false
            }],
            regularsInfos: {
              visitMode: [{
                name: '电话问候'
              }, {
                name: '上门巡访'
              }, {
                name: '其它'
              }],
              visitModeExt: '', //巡访其他
              visitCount: [{
                name: '每天'
              }, {
                name: '每周'
              }, {
                name: '每月'
              }, {
                name: '每季'
              }, {
                name: '其它'
              }],
              visitCountExt: '', // 频次的其他
            },
            regularsInfo: {
              visitMode: '',
              visitModeExt: '', //巡访其他
              visitCount: '',
              visitCountExt: '', // 频次的其他
            },
            isHavePhoto: false,
            imgPath: '',
            photoAndLocation: '',
          })
          this.data.childInfo.push({
            childrenNum: '',
            Info: []
          })
          this.data.otherInfo.push({
            isHasOther: '',
            Info: {
              name: '', // 其他赡养人姓名,
              sex: '', //其他赡养人性别
              phone: '', //其他赡养人电话,
              relation: '', //与被赡养人关系 如果选了其他也是必填 单选
              relationExt: '', //与被赡养人关系--其他
              isHasGoOut: '', //是否外出
              outgoingCause: '', //外出原因
              outgoingplace: '', // 外出地点
              outgoingTime: '', // 最后一次离家时间
              isHasPartner: '', //是否有配偶  当是的时候  子女配偶姓名 子女配偶电话 必填   0:是  1：否
              name2: '',
              phone2: '',
              visit: '', //平均一年探望次数
              othersyrSexArr: [{
                  name: '男',
                  checked: false
                },
                {
                  name: '女',
                  checked: false
                },
              ]
            }
          })
          this.data.regularsInfos.push({
            visitMode: [{
              name: '电话问候',
              checked: false
            }, {
              name: '上门巡访',
              checked: false
            }, {
              name: '其它',
              checked: false
            }],
            visitModeExt: '', //巡访其他
            visitCount: [{
              name: '每天',
              checked: false
            }, {
              name: '每周',
              checked: false
            }, {
              name: '每月',
              checked: false
            }, {
              name: '每季',
              checked: false
            }, {
              name: '其它',
              checked: false
            }],
            visitCountExt: '', // 频次的其他
          })
          this.data.regularsInfo.push({
            visitMode: '',
            visitModeExt: '', //巡访其他
            visitCount: '',
            visitCountExt: '', // 频次的其他
          })
          console.log(this.data.childInfo)
          this.setData({
            activeIndex: this.data.nameArr.concat(res.data.data).length - 1,
            nameArr: this.data.nameArr.concat(res.data.data),
            oldInfo: this.data.oldInfo,
            childInfo: this.data.childInfo,
            otherInfo: this.data.otherInfo,
            regularsInfos: this.data.regularsInfos,
            regularsInfo: this.data.regularsInfo
          })
          this.getSelfLocation();
        }
      }
    })
  },
  // 删除上方名字
  deleteName(e) {
    let index = e.currentTarget.dataset.index
    console.log(index);
    wx.showModal({
      showCancel: true,
      content: '确认删除该条记录吗',
      success: (res) => {
        if (res.cancel) {
          //点击取消,默认隐藏弹框
        } else {
          wx.request({
            url: util.globalData.publicUrl + '/wxinfo/delete',
            method: "get",
            header: {
              appletsId: wx.getStorageSync('openId')
            },
            data: {
              id: e.currentTarget.dataset.item._id
            },
            success: (res) => {
              console.log(res)
              if (res.data.code == 0) {
                this.data.nameArr.splice(index, 1)
                this.data.oldInfo.splice(index, 1)
                this.data.otherInfo.splice(index, 1)
                this.data.childInfo.splice(index, 1)
                this.data.regularsInfo.splice(index, 1)
                this.data.regularsInfos.splice(index, 1)
                this.setData({
                  oldInfo: this.data.oldInfo,
                  nameArr: this.data.nameArr,
                  otherInfo: this.data.otherInfo,
                  childInfo: this.data.childInfo,
                  regularsInfo: this.data.regularsInfo,
                  regularsInfos: this.data.regularsInfos,
                })

                if ((this.data.activeIndex == index && this.data.activeIndex > 0) || (this.data.activeIndex > index && this.data.activeIndex > 0)) {
                  this.setData({
                    activeIndex: this.data.activeIndex - 1
                  })
                }
                if (this.data.nameArr.length == 0) {
                  wx.switchTab({
                    url: '/pages/index/index',
                  })
                }
              }
            }
          })
        }
      }
    })
  },
  // 添加带fid的老人
  addFamilyOldman() {
    this.setData({
      showBj1: true,
      addOldname1: ''
    })
  },
  goOcr() {
    console.log(this.data.nameArr)
    isonShow = true;
    wx.showLoading({
      title: '加载中',
    })
    let _this = this
    wx.request({
      url: util.globalData.publicUrl + '/applet/getToken',
      method: "GET",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      success: (res) => {
        console.log(res.data, "0000");
        if (res.data.data.status == 200) {
          let token = res.data.data.token;
          if (token) {
            wx.chooseImage({
              count: 1, // 默认9
              sizeType: ['compressed'], // 可以指定是原图还是压缩图，默认二者都有
              sourceType: ['camera'], // 可以指定来源是相册还是相机，默认二者都有
              success: function (res) {
                // 拿文件转换base64
                const app = getApp()
                app.globalData.id = '-1'
                wx.getFileSystemManager().readFile({
                  filePath: res.tempFilePaths[0],
                  encoding: 'base64',
                  success: res1 => {
                    console.log("返回临时文件路径");
                    //返回临时文件路径
                    let img = 'data:image/png;base64,' + res1.data
                    console.log(img, "1232323231222222");
                    wx.request({
                      url: 'https://aip.baidubce.com/rest/2.0/ocr/v1/idcard?access_token=' + token,
                      method: 'POST',
                      header: {
                        'content-type': 'application/x-www-form-urlencoded'
                      },
                      data: {
                        id_card_side: 'front',
                        image: img
                      },
                      dataType: 'json',
                      success: (e) => {
                        console.log(e, "看看那ocr返回了么数据呢");

                        // 扫描后赋值 
                        _this.setData({
                          showBj: false,
                          fid: _this.data.familyFid
                        })
                        if (e.data.idcard_number_type == 1) {
                          console.log(e.data.words_result, '我是ocr识别出来的内容')
                          console.log(_this.data.oldInfo[_this.data.activeIndex].name, "啊实打实大师多撒大所多撒");
                          if (_this.data.oldInfo[_this.data.activeIndex].name == e.data.words_result['姓名'].words) {
                            let idNumber = 'oldInfo[' + _this.data.activeIndex + '].idNumber'
                            let name = 'oldInfo[' + _this.data.activeIndex + '].name'
                            let nation = 'oldInfo[' + _this.data.activeIndex + '].nation'
                            let data = _this.data.oldInfo[_this.data.activeIndex].oldSex.map(v => {
                              if (v.name == e.data.words_result['性别'].words) {
                                return {
                                  name: v.name,
                                  checked: true
                                }
                              }
                              return {
                                name: v.name,
                                checked: false
                              }
                            })
                            let oldSex = 'oldInfo[' + _this.data.activeIndex + '].oldSex'
                            _this.setData({
                              [idNumber]: e.data.words_result['公民身份号码'].words,
                              [name]: e.data.words_result['姓名'].words,
                              [nation]: e.data.words_result['民族'].words + '族',
                              [oldSex]: data
                            })
                            _this.SubmitOldmanInfo({
                              id: _this.data.nameArr[_this.data.activeIndex]._id,
                              idNumber: e.data.words_result['公民身份号码'].words
                            })
                            _this.SubmitOldmanInfo({
                              id: _this.data.nameArr[_this.data.activeIndex]._id,
                              name: e.data.words_result['姓名'].words
                            })
                            _this.SubmitOldmanInfo({
                              id: _this.data.nameArr[_this.data.activeIndex]._id,
                              nation: e.data.words_result['民族'].words + '族'
                            })
                            _this.SubmitOldmanInfo({
                              id: _this.data.nameArr[_this.data.activeIndex]._id,
                              sex: e.data.words_result['性别'].words
                            })
                          } else {
                            console.log("姓名不一样的");
                            // wx.showToast({
                            //   title: "添加当前老人名字和扫描身份证名字不一致,请重新扫描",
                            //   icon: 'none',
                            //   duration: 2000,
                            // })
                            wx.showModal({
                              showCancel: false,
                              content: '添加当前老人名字和扫描身份证名字不一致,请重新扫描'
                            })
                          }
                        } else {
                          wx.showModal({
                            showCancel: false,
                            content: '身份证OCR识别失败'
                          })
                          // wx.showToast({
                          //   title: "身份证OCR识别失败",
                          //   icon: 'none',
                          //   duration: 2000,
                          // })
                        }
                      },
                      complete: (e) => {
                        wx.hideLoading();
                      }
                    })
                  },
                  // 错误信息
                  fail: console.error
                })
              },
              fail: function () {
                wx.hideLoading();
              },
              complete: function () {
                _this.setData({
                  showBj: false,
                })
              }
            })
          } else {
            wx.showToast({
              title: '身份证识别失败,token失效',
              icon: 'none',
              duration: 2000,
            })
          }
        }
      },
    })
  },
  // 老人姓名
  tab1Change1: function (e) {
    if (e.detail.value == null || e.detail.value == '') {
      this.setData({
        oldName: true
      })
      return
    } else {
      console.log(this.data.nameArr)
      let han = /^[\u4e00-\u9fa5]+$/;
      if (!han.test(e.detail.value)) {
        wx.showModal({
          showCancel: false,
          content: '您输入的内容不是汉字哦'
        })
        return false;
      };
      if (e.detail.value.length < 2) {
        wx.showModal({
          showCancel: false,
          content: '老人姓名不可以少于两个字哦'
        })
        return false
      }
      let name = 'nameArr[' + this.data.activeIndex + '].name'
      let oldName = 'oldInfo[' + this.data.activeIndex + '].name'
      this.setData({
        oldName: false,
        [name]: e.detail.value,
        [oldName]: e.detail.value
      })
      console.log(this.data.nameArr)
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      name: e.detail.value
    })
  },
  // 性别单选
  tab1Change2(e) {
    let data = this.data.oldInfo[this.data.activeIndex].oldSex.map(v => {
      if (v.name == e.detail.value) {
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    let oldSex = 'oldInfo[' + this.data.activeIndex + '].oldSex'
    this.setData({
      [oldSex]: data
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      sex: e.detail.value
    })
  },
  // 民族选择
  tab1Change3: function (e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    let nation = 'oldInfo[' + this.data.activeIndex + '].nation'
    this.setData({
      [nation]: this.data.mzArr[e.detail.value]
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      nation: this.data.mzArr[e.detail.value]
    })
  },
  // 身份证号
  tab1Change4: function (e) {
    console.log('身份证变化了')
    let Info = 'oldCard[' + this.data.activeIndex + '].name'
    let Info1 = 'oldCard1[' + this.data.activeIndex + '].name'
    if (e.detail.value == null || e.detail.value == '') {
      this.setData({
        [Info]: true
      })
      return
    } else {
      this.setData({
        [Info]: false
      })
    }
    if (!(/(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/.test(e.detail.value)) && e.detail.value.length != 18) {
      this.setData({
        [Info1]: true
      })
      return
    } else {
      this.setData({
        [Info1]: false
      })
    }
    let Info2 = 'oldCard2[' + this.data.activeIndex + '].name'
    var myDate = new Date();
    var month = myDate.getMonth() + 1;
    var day = myDate.getDate();
    var age = myDate.getFullYear() - e.detail.value.substring(6, 10) - 1;
    if (e.detail.value.substring(10, 12) < month || e.detail.value.substring(10, 12) == month && e.detail.value.substring(12, 14) <= day) {
      age++;
    }
    if (age < 60) {
      this.setData({
        [Info2]: true
      })
      return
    } else {
      this.setData({
        [Info2]: false
      })
    }
    let idNumber = 'oldInfo[' + this.data.activeIndex + '].idNumber'
    this.setData({
      [idNumber]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      idNumber: e.detail.value
    })
  },
  // 联系电话
  tab1Change5: function (e) {
    let phone = 'oldInfo[' + this.data.activeIndex + '].phone'
    this.setData({
      [phone]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      phone: e.detail.value
    })
    console.log(this.data.oldInfo)
  },
  // 补充户籍地址
  tab1Change6(e) {
    console.log(e.detail.value)
    let Info = 'oldInfo[' + this.data.activeIndex + '].nativePlaceExt'
    this.setData({
      [Info]: e.detail.value,
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      nativePlaceExt: e.detail.value
    })

  },
  // 现居地址与户籍地址一致
  tab1change6_1(e) {
    const items = this.data.oldInfo[this.data.activeIndex].isSameWithAddress
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let isSameWithAddress = 'oldInfo[' + this.data.activeIndex + '].isSameWithAddress'
    this.setData({
      [isSameWithAddress]: items
    })
    console.log(this.data.oldInfo[this.data.activeIndex].isSameWithAddress, 'isSameWithAddress')
    console.log(e.detail.value)
    let Info = 'oldInfo[' + this.data.activeIndex + '].chooseAdressArr1'
    let Infos = 'oldInfo[' + this.data.activeIndex + '].addressExt'
    if (e.detail.value[0] == '现居地址与户籍地址一致') {
      this.setData({
        nowAdress: true,
        [Info]: this.data.oldInfo[this.data.activeIndex].chooseAdressArr,
        [Infos]: this.data.oldInfo[this.data.activeIndex].nativePlaceExt
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        isSameWithAddress: '是'
      })
      let a = this.data.oldInfo[this.data.activeIndex].chooseAdressArr.join("/");
      console.log(this.data.codeArr)
      let b = this.data.codeArr.join(",")
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        address: a,
        addressId: b
      })
    } else {
      this.setData({
        nowAdress: false,
        [Info]: [],
        [Infos]: []
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        isSameWithAddress: '否'
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        address: null,
        addressId: null
      })
    }
  },
  // 补充现居住地址
  tab1Change7(e) {
    console.log(e.detail.value)
    let Info = 'oldInfo[' + this.data.activeIndex + '].addressExt'
    this.setData({
      [Info]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      addressExt: e.detail.value
    })
  },
  // 婚姻以及配偶情况
  tab1Change8: function (e) {
    console.log(e.detail.value)
    if (e.detail.value == '已婚') {
      this.setData({
        oldisMarry: true
      })
    } else {
      this.setData({
        oldisMarry: false,
        oldisMarryName: false,
        oldisMarryPhone: false
      })
    }
    let data = this.data.oldInfo[this.data.activeIndex].oldMarry.map(v => {
      if (v.name == e.detail.value) {
        console.log("我选了")
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    console.log(data)
    let oldMarry = 'oldInfo[' + this.data.activeIndex + '].oldMarry'
    this.setData({
      [oldMarry]: data
    })
    console.log(this.data.oldInfo)
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      partnerState: e.detail.value
    })
  },
  //配偶的姓名
  tab1Change8_1(e) {
    if (e.detail.value == '' || e.detail.value == null) {
      this.setData({
        oldisMarryName: true
      })
      return
    } else {
      this.setData({
        oldisMarryName: false
      })
    }
    let partnerName = 'oldInfo[' + this.data.activeIndex + '].partnerName'
    this.setData({
      [partnerName]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      partnerName: e.detail.value
    })
  },
  //配偶身份证号
  tab1Change8_2(e) {
    if (e.detail.value == '' || e.detail.value == null) {
      this.setData({
        oldisMarryPhone: true
      })
      return
    } else {
      this.setData({
        oldisMarryPhone: false
      })
    }
    if (!(/(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/.test(e.detail.value)) && e.detail.value.length != 18) {
      this.setData({
        oldisMarryPhoneGs: true
      })
      return
    } else {
      let partnerIdNumber = 'oldInfo[' + this.data.activeIndex + '].partnerIdNumber'
      this.setData({
        oldisMarryPhoneGs: false,
        [partnerIdNumber]: e.detail.value
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        partnerIdNumber: e.detail.value
      })
    }
  },
  //老人健康状况
  tab1Change9: function (e) {
    console.log(e.detail.value)
    const items = this.data.oldInfo[this.data.activeIndex].healthAyy
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let healthAyy = 'oldInfo[' + this.data.activeIndex + '].healthAyy'
    this.setData({
      [healthAyy]: items
    })
    console.log(this.data.oldInfo)
    let revise1 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[1].disabled'
    let revise2 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[2].disabled'
    let revise3 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[3].disabled'
    let rev1 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[1].checked'
    let rev2 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[2].checked'
    let rev3 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[3].checked'
    if (e.detail.value.length == 0) {
      this.setData({
        oldHealth1: true,
        [revise1]: false,
        [revise2]: false,
        [revise3]: false,
      })
      return
    } else {
      this.setData({
        oldHealth1: false
      })
    }
    let index = e.detail.value.indexOf('健康');
    let index1 = e.detail.value.indexOf('残疾');
    let index2 = e.detail.value.indexOf('患重特大疾病');
    if (index >= 0) {
      this.setData({
        [revise1]: true,
        [revise2]: true,
        [revise3]: true,
        [rev1]: false,
        [rev2]: false,
        [rev3]: false
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        health: JSON.stringify(['健康'])
      })
    } else {
      this.setData({
        [revise1]: false,
        [revise2]: false,
        [revise3]: false,
      })
    }
    // if (index1 >= 0 && index < 0) {
    //   this.setData({
    //     oldHealth2: true
    //   })
    // } else {
    //   this.setData({
    //     oldHealth2: false,
    //     oldDisableType: false,
    //     issickTypeNull: false
    //   })
    // }
    if (index2 >= 0 && index < 0) {
      this.setData({
        isSick: true
      })
    } else {
      this.setData({
        isSick: false,
        oldDisableType: false,
        issickTypeNull: false
      })
    }
    if (index < 0 && e.detail.value.length != 0) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        health: JSON.stringify(e.detail.value)
      })
    }
  },
  // 残疾类别
  tab1Change10: function (e) {
    console.log(e.detail.value)
    const items = this.data.oldInfo[this.data.activeIndex].disabilityAyy
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let disabilityAyy = 'oldInfo[' + this.data.activeIndex + '].disabilityAyy'
    this.setData({
      [disabilityAyy]: items
    })
    if (e.detail.value == null || e.detail.value == '') {
      this.setData({
        oldDisableType: true
      })
      return
    } else {
      this.setData({
        oldDisableType: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      disabilityCategory: JSON.stringify(e.detail.value)
    })
  },
  // 重特大疾病类别
  tab1Change10_1: function (e) {
    console.log(e.detail.value)
    const items = this.data.oldInfo[this.data.activeIndex].sickType
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let sickType = 'oldInfo[' + this.data.activeIndex + '].sickType'
    this.setData({
      [sickType]: items
    })
    console.log(this.data.sickType)
    if (e.detail.value.length == 0) {
      this.setData({
        issickTypeNull: true
      })
      return
    } else {
      this.setData({
        issickTypeNull: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      majorDiseases: e.detail.value
    })
  },
  // 残疾人等级
  tab1Change11: function (e) {
    // this.setData({
    //   levalIndex: e.detail.value
    // })
    let disabilityLevel = 'oldInfo[' + this.data.activeIndex + '].disabilityLevel'
    this.setData({
      [disabilityLevel]: this.data.disableLeval[e.detail.value]
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      disabilityLevel: this.data.oldInfo[this.data.activeIndex].disabilityLevel
    })
  },
  // 老年人能力情况
  tab1Change12: function (e) {
    let ability = 'oldInfo[' + this.data.activeIndex + '].ability'
    let Info = 'oldInfo[' + this.data.activeIndex + '].oldType'
    this.setData({
      [ability]: this.data.ableStatus[e.detail.value]
    })
    if (e.detail.value == 2) {
      this.setData({
        [Info]: this.data.oldInfo[this.data.activeIndex].oldType.concat({
          name: "失能老人",
          disable: true,
          checked: true
        })
      })
    }else{
      for (var i = 0; i < this.data.oldInfo[this.data.activeIndex].oldType.length; i++) {
        if (this.data.oldInfo[this.data.activeIndex].oldType[i].name == '失能老人') {
          this.data.oldInfo[this.data.activeIndex].oldType.splice(i, 1);
        }
        this.setData({
          [Info]:this.data.oldInfo[this.data.activeIndex].oldType
        })
        console.log(this.data.oldInfo[this.data.activeIndex].oldType,'------------')
      }
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      ability: this.data.ableStatus[e.detail.value]
    })
  },
  // 生活经济情况
  tab1Change13: function (e) {
    let livingCondition = 'oldInfo[' + this.data.activeIndex + '].livingCondition'
    this.setData({
      [livingCondition]: this.data.moneyStatus[e.detail.value]
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      livingCondition: this.data.moneyStatus[e.detail.value]
    })
  },
  // 收入来源
  tab1Change14: function (e) {
    console.log(e.detail.value)
    const items = this.data.oldInfo[this.data.activeIndex].moneyFromAyy
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let moneyFromAyy = 'oldInfo[' + this.data.activeIndex + '].moneyFromAyy'
    this.setData({
      [moneyFromAyy]: items
    })
    if (e.detail.value.length == 0) {
      this.setData({
        moneyFromOther: true
      })
      return
    } else {
      this.setData({
        moneyFromOther: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      sourceOfIncome: JSON.stringify(e.detail.value)
    })
  },
  // 其他收入来源sourceOfIncomeExt
  tab1Change14_1: function (e) {
    if (e.detail.value == null || e.detail.value == '') {
      this.setData({
        moneyOtherQtnull: true
      })
    } else {
      this.setData({
        moneyOtherQtnull: false
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        sourceOfIncomeExt: e.detail.value
      })
    }
  },
  // 本人上年度可支配收入
  tab1Change15: function (e) {
    let income = 'oldInfo[' + this.data.activeIndex + '].income'
    this.setData({
      [income]: this.data.payMoney[e.detail.value]
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      income: this.data.payMoney[e.detail.value]
    })
  },
  // 家庭救助帮扶情况
  tab1Change16: function (e) {
    console.log(e.detail.value)
    const items = this.data.oldInfo[this.data.activeIndex].familyHelpArr
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let familyHelpArr = 'oldInfo[' + this.data.activeIndex + '].familyHelpArr'
    this.setData({
      [familyHelpArr]: items
    })
    if (e.detail.value.length == 0) {
      this.setData({
        familyHelp: true
      })
      return
    } else {
      this.setData({
        familyHelp: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      rescueState: JSON.stringify(e.detail.value)
    })
  },
  // 其他救助帮扶情况
  tab1Change16_1: function (e) {
    if (e.detail.value == null || e.detail.value == '') {
      this.setData({
        otherhelpQtnull: true
      })
    } else {
      this.setData({
        otherhelpQtnull: false
      })
      let rescueStateExt = 'oldInfo[' + this.data.activeIndex + '].rescueStateExt'
      this.setData({
        [rescueStateExt]: e.detail.value
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        rescueStateExt: e.detail.value
      })
    }
  },
  // 是否为失独家庭
  tab1Change17: function (e) {
    console.log(e.detail.value)
    let data = this.data.oldInfo[this.data.activeIndex].loneArr.map(v => {
      if (v.name == e.detail.value) {
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    let loneArr = 'oldInfo[' + this.data.activeIndex + '].loneArr'
    this.setData({
      [loneArr]: data
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      isLoss: e.detail.value
    })
  },
  // 陪伴居住情况
  tab1Change18: function (e) {
    console.log(e.detail.value)
    const items = this.data.oldInfo[this.data.activeIndex].liveStatus
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let liveStatus = 'oldInfo[' + this.data.activeIndex + '].liveStatus'
    this.setData({
      [liveStatus]: items
    })
    let revise1 = "oldInfo[" + this.data.activeIndex + "].liveStatus[1].disabled";
    let revise2 = "oldInfo[" + this.data.activeIndex + "].liveStatus[2].disabled";
    let revise3 = "oldInfo[" + this.data.activeIndex + "].liveStatus[3].disabled";
    let revise4 = "oldInfo[" + this.data.activeIndex + "].liveStatus[4].disabled";
    let rev1 = "oldInfo[" + this.data.activeIndex + "].liveStatus[1].checked";
    let rev2 = "oldInfo[" + this.data.activeIndex + "].liveStatus[2].checked";
    let rev3 = "oldInfo[" + this.data.activeIndex + "].liveStatus[3].checked";
    let rev4 = "oldInfo[" + this.data.activeIndex + "].liveStatus[4].checked";
    if (e.detail.value.length == 0) {
      this.setData({
        isliveNull: true
      })
    } else {
      this.setData({
        isliveNull: false
      })
    }
    let index = e.detail.value.indexOf('无人陪伴居住');
    if (index >= 0) {
      console.log('有无人陪伴居住')
      this.setData({
        [revise1]: true,
        [revise2]: true,
        [revise3]: true,
        [revise4]: true,
        [rev1]: false,
        [rev2]: false,
        [rev3]: false,
        [rev4]: false,
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        accompany: JSON.stringify(['无人陪伴居住'])
      })
      console.log(this.data.oldInfo[this.data.activeIndex].liveStatus)
    } else {
      this.setData({
        [revise1]: false,
        [revise2]: false,
        [revise3]: false,
        [revise4]: false
      })
    }
    if (index < 0 && e.detail.value.length != 0) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        accompany: e.detail.value
      })
    }
  },
  // 其他陪伴居住情况
  tab1Change18_1: function (e) {
    if (e.detail.value == null || e.detail.value == '') {
      this.setData({
        isliveQtNull: true
      })
    } else {
      this.setData({
        isliveQtNull: false
      })
      let accompanyExt = 'oldInfo[' + this.data.activeIndex + '].accompanyExt'
      this.setData({
        [accompanyExt]: e.detail.value
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        accompanyExt: e.detail.value
      })
    }
  },
  // 日常生活照料人
  tab1Change19: function (e) {
    console.log(e.detail.value)
    const items = this.data.oldInfo[this.data.activeIndex].oftenMan
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let oftenMan = 'oldInfo[' + this.data.activeIndex + '].oftenMan'
    this.setData({
      [oftenMan]: items
    })
    let revise1 = "oldInfo[" + this.data.activeIndex + "].oftenMan[1].disabled";
    let revise2 = "oldInfo[" + this.data.activeIndex + "].oftenMan[2].disabled";
    let revise3 = "oldInfo[" + this.data.activeIndex + "].oftenMan[3].disabled";
    let revise4 = "oldInfo[" + this.data.activeIndex + "].oftenMan[4].disabled";
    let revise5 = "oldInfo[" + this.data.activeIndex + "].oftenMan[5].disabled";
    let rev1 = "oldInfo[" + this.data.activeIndex + "].oftenMan[1].checked";
    let rev2 = "oldInfo[" + this.data.activeIndex + "].oftenMan[2].checked";
    let rev3 = "oldInfo[" + this.data.activeIndex + "].oftenMan[3].checked";
    let rev4 = "oldInfo[" + this.data.activeIndex + "].oftenMan[4].checked";
    let rev5 = "oldInfo[" + this.data.activeIndex + "].oftenMan[5].checked";
    if (e.detail.value.length == 0) {
      this.setData({
        isoftenManNull: true
      })
    } else {
      this.setData({
        isoftenManNull: false
      })
    }
    let index = e.detail.value.indexOf('无人照料');
    if (index >= 0) {
      this.setData({
        [revise1]: true,
        [revise2]: true,
        [revise3]: true,
        [revise4]: true,
        [revise5]: true,
        [rev1]: false,
        [rev2]: false,
        [rev3]: false,
        [rev4]: false,
        [rev5]: false,
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        lookAfter: JSON.stringify(['无人照料'])
      })
    } else {
      this.setData({
        [revise1]: false,
        [revise2]: false,
        [revise3]: false,
        [revise4]: false,
        [revise5]: false
      })
    }
    if (index < 0 && e.detail.value.length != 0) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        lookAfter: e.detail.value
      })
    }
  },
  // 其他人员关系
  tab1Change20: function (e) {
    if (e.detail.value == null || e.detail.value == '') {
      this.setData({
        isoftenReaNull: true
      })
    } else {
      this.setData({
        isoftenReaNull: false
      })
      let lookAfterExt = 'oldInfo[' + this.data.activeIndex + '].lookAfterExt'
      this.setData({
        [lookAfterExt]: e.detail.value
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        lookAfterExt: e.detail.value
      })
    }
  },
  // 主要照料人姓名
  tab1Change21: function (e) {
    if (e.detail.value == null || e.detail.value == '') {
      this.setData({
        lookAfterName: true
      })
    } else {
      this.setData({
        lookAfterName: false
      })
      let mainLookName = 'oldInfo[' + this.data.activeIndex + '].mainLookName'
      this.setData({
        [mainLookName]: e.detail.value
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        mainLookName: e.detail.value
      })
    }
  },
  // 主要照料人性别
  tab1Change22: function (e) {
    console.log(e.detail.value)
    let data = this.data.oldInfo[this.data.activeIndex].mainLookSex.map(v => {
      if (v.name == e.detail.value) {
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    let mainLookSex = 'oldInfo[' + this.data.activeIndex + '].mainLookSex'
    this.setData({
      [mainLookSex]: data
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      mainLookSex: e.detail.value
    })
  },
  // 主要照料人电话
  tab1Change23: function (e) {
    if (e.detail.value == '' || e.detail.value == null) {
      this.setData({
        islookPhoneNull: true
      })
    } else {
      this.setData({
        islookPhoneNull: false
      })
      let mainLookPhone = 'oldInfo[' + this.data.activeIndex + '].mainLookPhone'
      this.setData({
        [mainLookPhone]: e.detail.value
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        mainLookPhone: e.detail.value
      })
    }
  },
  // 关爱服务需求
  tab1Change24: function (e) {
    console.log(e.detail.value)
    const items = this.data.oldInfo[this.data.activeIndex].loveRequire
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let loveRequire = 'oldInfo[' + this.data.activeIndex + '].loveRequire'
    this.setData({
      [loveRequire]: items
    })
    if (e.detail.value == '' || e.detail.value == null) {
      this.setData({
        isloveNull: true
      })
    } else {
      this.setData({
        isloveNull: false
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        demand: JSON.stringify(e.detail.value)
      })
    }
  },
  tab1Change24_1: function (e) {
    let Info = 'oldInfo[' + this.data.activeIndex + '].demandExt'
    this.setData({
      [Info]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      demandExt: e.detail.value
    })

  },
  tab1change25: function (e) {
    if (e.detail.value == null || e.detail.value == '') {
      this.setData({
        isloveNull: true
      })
    } else {
      this.setData({
        isloveNull: false
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        demandExt: e.detail.value
      })
    }
  },
  tab1Change26: function (e) {
    console.log(e.detail.value)
    if (e.detail.value == '' || e.detail.value == null) {
      this.setData({
        isoldtypeNull: true
      })
    } else {
      this.setData({
        isoldtypeNull: false,
      })
    }
    let index1 = e.detail.value.indexOf('农村留守老年人')
    let index2 = e.detail.value.indexOf('分散供养特困老年人')
    let index3 = e.detail.value.indexOf('计划生育特殊家庭老人')
    let index4 = e.detail.value.indexOf('空巢老年人')
    let revise1 = "oldInfo[" + this.data.activeIndex + "].oldType[0].disable";
    let revise2 = "oldInfo[" + this.data.activeIndex + "].oldType[1].disable";
    let revise3 = "oldInfo[" + this.data.activeIndex + "].oldType[2].disable";
    let revise4 = "oldInfo[" + this.data.activeIndex + "].oldType[3].disable";
    let revise5 = "oldInfo[" + this.data.activeIndex + "].oldType[3].checked";
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      oldType: JSON.stringify(e.detail.value)
    })
    if (index2 >= 0) {
      this.setData({
        [revise1]: true,
        [revise3]: true,
        [revise4]: true
      })
      return false;
    } else {
      this.setData({
        [revise1]: false,
        [revise3]: false,
        [revise4]: false
      })
    }
    if (index3 >= 0) {
      this.setData({
        [revise1]: true,
        [revise2]: true,
        [revise4]: true
      })
      return false;
    } else {
      this.setData({
        [revise1]: false,
        [revise2]: false,
        [revise4]: false
      })
    }
    if (index1 >= 0) {
      this.setData({
        [revise2]: true,
        [revise3]: true,
        [revise4]: true,
        [revise5]: true
      })
      return false;
    } else if (index4 >= 0) {
      this.setData({
        [revise1]: true,
        [revise2]: true,
        [revise3]: true
      })
    } else {
      this.setData({
        [revise1]: false,
        [revise2]: false,
        [revise3]: false
      })
    }
  },
  goPhoto() {
    let that = this;
    isTwoOnshow = true;
    const app = getApp()
    wx.setStorageSync('isTwoOnshow', true)
    wx.showLoading({
      title: '加载中',
    })
    wx.chooseImage({
      count: 1,
      sizeType: ['compressed'],
      sourceType: ['camera'],
      success: function (res) {
        const app = getApp()
        app.globalData.id = '-1'
        let tempFilePaths = res.tempFilePaths
        wx.uploadFile({
          url: util.globalData.publicUrl + '/sys/user/upload',
          filePath: tempFilePaths[0],
          name: 'uploadFile',
          formData: {
            "user": "test",
          },
          header: {
            appletsId: wx.getStorageSync('openId'),
          },
          success: function (res) {
            const app = getApp()
            app.globalData.id = '-2'
            let datas = JSON.parse(res.data)
            let imgPath = 'oldInfo[' + that.data.activeIndex + '].imgPath'
            let isHavePhoto = 'oldInfo[' + that.data.activeIndex + '].isHavePhoto'
            // if (datas.code == 0) {
            that.setData({
              [imgPath]: datas.data,
              [isHavePhoto]: true,
            })
            that.SubmitOldmanInfo({
              id: that.data.nameArr[that.data.activeIndex]._id,
              photo: datas.data,
            })



          }
        })
      },
      complete: (e) => {
        wx.hideLoading();
      }
    })

  },
  closeImage(e) {
    console.log(e.currentTarget.dataset.activeindex, "121212");
    let imgPath = 'oldInfo[' + e.currentTarget.dataset.activeindex + '].imgPath'
    this.setData({
      [imgPath]: '',
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      photo: '',
    })
  },
  // 子女个数
  tab2Change1: function (e) {
    console.log(e.detail.value)
    let childrenNum = 'childInfo[' + this.data.activeIndex + '].childrenNum'
    let Info = 'childInfo[' + this.data.activeIndex + '].Info'
    this.setData({
      [childrenNum]: this.data.childNumArr[e.detail.value],
    })
    if (e.detail.value == 0) {
      this.setData({
        [Info]: []
      })
      // this.SubmitOldmanInfo({
      //   id: this.data.nameArr[this.data.activeIndex]._id,
      //   childInfo:JSON.stringify([]),
      // })
    } else if (e.detail.value == 1) {
      this.setData({
        [Info]: [{
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }]
      })
    } else if (e.detail.value == 2) {
      this.setData({
        [Info]: [{
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }, {
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }]
      })
    } else {
      this.setData({
        [Info]: [{
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }, {
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }, {
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }]
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childrenNum: e.detail.value,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
      // childrenNum: this.data.childNums[e.detail.value].substring(0, 1)
    })
  },
  // 子女姓名
  tab2Change2: function (e) {
    let han = /^[\u4e00-\u9fa5]+$/;
    if (!han.test(e.detail.value)) {
      wx.showModal({
        showCancel: false,
        content: '您输入的内容不是汉字哦'
      })
      return false;
    };
    if (e.detail.value.length < 2) {
      wx.showModal({
        showCancel: false,
        content: '赡养人姓名不可以少于两个字哦'
      })
      return false
    }
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].name';
    console.log(this.data.childInfo[this.data.activeIndex].Info, "多个数字的问题");
    console.log(JSON.stringify(this.data.childInfo[this.data.activeIndex].Info));
    this.setData({
      [child]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
    // }
  },
  // 子女性别
  tab2Change3: function (e) {
    console.log(e, '000000000000')
    console.log(e.currentTarget.dataset.index + "@@@@@@@@@@@@@@@@@@@@@@")
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].sex';
    this.setData({
      [child]: this.data.childSexArr[e.detail.value]
    })
    console.log(JSON.stringify(this.data.childInfo[this.data.activeIndex].Info) + "#####################")
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 子女联系电话
  tab2Change4: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].phone';
    this.setData({
      [child]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 子女是否外出
  tab2Change5: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].isHasGoOut';
    this.setData({
      [child]: this.data.childIsout[e.detail.value]
    })
    console.log(JSON.stringify(this.data.childInfo[this.data.activeIndex].Info) + "#####################")
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  //外出原因
  tab2Change6: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].outgoingCause';
    this.setData({
      [child]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 外出地点
  tab2Change7: function (e) {
    console.log(e.detail.value)
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].outgoingplace';
    let a = e.detail.value.join("/");
    this.setData({
      [child]: a
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 最后一次离家时间
  tab2Change8: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].outgoingTime';
    this.setData({
      [child]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 是否有配偶
  tab2Change9: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].isHasPartner';
    this.setData({
      [child]: this.data.childIsMArry[e.detail.value]
    })
    console.log(JSON.stringify(this.data.childInfo[this.data.activeIndex].Info) + "#####################")
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 配偶姓名
  tab2Change10: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].name2';
    this.setData({
      [child]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 配偶联系电话
  tab2Change11: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].phone2';
    this.setData({
      [child]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 一年探望次数
  tab2Change12: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].visit';
    this.setData({
      [child]: this.data.childTfTimes[e.detail.value]
    })
    console.log(JSON.stringify(this.data.childInfo[this.data.activeIndex].Info) + "#####################")
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // tab3是否有赡养人状态改变
  tab3Change1: function (e) {
    // 否是1
    console.log(e.detail.value, "1111111");

    let isHasOther = 'otherInfo[' + this.data.activeIndex + '].isHasOther'
    if (e.detail.value == '0') {
      this.setData({
        [isHasOther]: this.data.othersyrArr[e.detail.value],
      })
      console.log("1111111");

      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
      })
    } else {
      this.setData({
        [isHasOther]: this.data.othersyrArr[e.detail.value],
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        otherInfo: ''
      })
    }
    this.setData({
      [isHasOther]: this.data.othersyrArr[e.detail.value],
    })
  },
  // 其他赡养人姓名
  tab3Change2: function (e) {
    let han = /^[\u4e00-\u9fa5]+$/;
    if (!han.test(e.detail.value)) {
      wx.showModal({
        showCancel: false,
        content: '您输入的内容不是汉字哦'
      })
      return false;
    };
    if (e.detail.value.length < 2) {
      wx.showModal({
        showCancel: false,
        content: '赡养人姓名不可以少于两个字哦'
      })
      return false
    }
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.name'
    this.setData({
      [Info]: e.detail.value,
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 其他赡养人性别
  tab3Change3: function (e) {
    let data = this.data.otherInfo[this.data.activeIndex].Info.othersyrSexArr.map(v => {
      if (v.name == e.detail.value) {
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.sex'
    // let othersyrSexArr = 'otherInfo[' + this.data.activeIndex + '].Info.othersyrSexArr'
    this.setData({
      [Info]: e.detail.value,
      // [othersyrSexArr]: data,
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 其他赡养人电话
  tab3Change4: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.phone'
    this.setData({
      [Info]: e.detail.value,
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 与被赡养人关系状态改变
  tab3Change5: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.relation'
    this.setData({
      [Info]: this.data.othersyrRelation[e.detail.value],
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 输选择其他时入与被赡养人其他关系
  tab3Change6: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.relationExt'
    this.setData({
      [Info]: e.detail.value,
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 是否外出
  tab3Change7: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.isHasGoOut'
    this.setData({
      [Info]: this.data.othersyrIsout[e.detail.value],
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 外出原因
  tab3Change8: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.outgoingCause'
    this.setData({
      [Info]: e.detail.value,
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 外出地点改变
  tab3Change9: function (e) {
    console.log(e)
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.outgoingplace'
    let a = e.detail.value.join("/");
    this.setData({
      [Info]: a
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  //最后一次离家时间
  tab3Change10: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.outgoingTime'
    this.setData({
      [Info]: e.detail.value,
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  //是否有配偶
  tab3Change11: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.isHasPartner'
    this.setData({
      [Info]: this.data.othersyrIsMarry[e.detail.value],
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 配偶姓名
  tab3Change12: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.name2'
    this.setData({
      [Info]: e.detail.value,
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 配偶电话
  tab3Change13: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.phone2'
    this.setData({
      [Info]: e.detail.value,
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  //平均一年探望次数
  tab3Change14: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.visit'
    this.setData({
      [Info]: this.data.othersyrTfTimes[e.detail.value],
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  //tab4巡访方式
  tab4Change1: function (e) {
    console.log(this.data.regularsInfos, "提交的regularsInfos");
    console.log(this.data.regularsInfo, "提交的regularsInfo000000000000000000000");
    const items = this.data.regularsInfos[this.data.activeIndex].visitMode
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let visitMode = 'regularsInfos[' + this.data.activeIndex + '].visitMode'
    let visitMode1 = 'regularsInfo[' + this.data.activeIndex + '].visitMode'
    this.setData({
      [visitMode]: items,
      [visitMode1]: JSON.stringify(e.detail.value)
    })
    console.log(this.data.regularsInfo, "我是？？？？？？？？？？？？？");

    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      regularsInfo: JSON.stringify(this.data.regularsInfo[this.data.activeIndex])
    })
  },
  // 巡防方式其他内容
  tab4Change2: function (e) {
    let Info = 'regularsInfos[' + this.data.activeIndex + '].visitModeExt'
    let Info1 = 'regularsInfo[' + this.data.activeIndex + '].visitModeExt'
    let visitMode1 = 'regularsInfo[' + this.data.activeIndex + '].visitMode'
    let arrs = [];
    this.data.regularsInfos[this.data.activeIndex].visitMode.forEach(item => {
      if (item.checked) {
        arrs.push(item.name)
      }
    })
    this.setData({
      [Info]: e.detail.value,
      [Info1]: e.detail.value,
      [visitMode1]: JSON.stringify(arrs),
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      regularsInfo: JSON.stringify(this.data.regularsInfo[this.data.activeIndex])
    })
  },
  // 巡访频次
  tab4Change3: function (e) {
    let data = this.data.regularsInfos[this.data.activeIndex].visitCount.map(v => {
      if (v.name == e.detail.value) {
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    let visitCount = 'regularsInfos[' + this.data.activeIndex + '].visitCount'
    let visitCount1 = 'regularsInfo[' + this.data.activeIndex + '].visitCount'
    let visitMode1 = 'regularsInfo[' + this.data.activeIndex + '].visitMode'
    let arrs = [];
    this.data.regularsInfos[this.data.activeIndex].visitMode.forEach(item => {
      if (item.checked) {
        arrs.push(item.name)
      }
    })
    this.setData({
      [visitCount]: data,
      [visitCount1]: e.detail.value,
      [visitMode1]: JSON.stringify(arrs),
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      regularsInfo: JSON.stringify(this.data.regularsInfo[this.data.activeIndex])
    })
  },
  // 巡防方式其他内容
  tab4change4: function (e) {
    let Info = 'regularsInfos[' + this.data.activeIndex + '].visitCountExt'
    let Info1 = 'regularsInfo[' + this.data.activeIndex + '].visitCountExt'
    let visitMode1 = 'regularsInfo[' + this.data.activeIndex + '].visitMode'
    let arrs = [];
    this.data.regularsInfos[this.data.activeIndex].visitMode.forEach(item => {
      if (item.checked) {
        arrs.push(item.name)
      }
    })
    this.setData({
      [Info]: e.detail.value,
      [Info1]: e.detail.value,
      [visitMode1]: JSON.stringify(arrs),
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      regularsInfo: JSON.stringify(this.data.regularsInfo[this.data.activeIndex])
    })
  },
  formSubmit(e) {
    console.log('form发生了submit事件，携带数据为：', e.detail.value)
  },
  removeExcess(data) {
    if (data) {
      data = JSON.parse(data);
    }
    return data;
  },
  huixian(id, name) {
    if (!id) {
      let showbj = true;
      console.log("我是没有fid的");
      let oldInfo = [{
        name: '',
        oldSex: [{
          name: '男'
        }, {
          name: '女'
        }],
        isSameWithAddress: [{
          name: '现居地址与户籍地址一致'
        }],
        addressExt: '',
        nativePlaceExt: '',
        nation: '', //民族
        idNumber: '', //身份证号
        phone: '',
        chooseAdressArr: [],
        chooseAdressArr1: [],
        oldMarry: [{
          name: "未婚"
        }, {
          name: "已婚"
        }, {
          name: "离异"
        }, {
          name: "丧偶"
        }],
        partnerName: '',
        partnerIdNumber: '',
        healthAyy: [{
          name: "健康",
          disabled: false
        }, {
          name: "残疾",
          disabled: false
        }, {
          name: "患重特大疾病",
          disabled: false
        }, {
          name: "老年人慢性病",
          disabled: false
        }],
        disabilityAyy: [{
          name: "视力残疾"
        }, {
          name: "听力残疾"
        }, {
          name: "言语残疾"
        }, {
          name: "肢体残疾"
        }, {
          name: "智力残疾"
        }, {
          name: "精神残疾"
        }, {
          name: "多重残疾"
        }],
        disabilityLevel: '', //残疾人类别
        sickType: [{
          name: "重大器官类疾病"
        }, {
          name: "心脑血管类疾病"
        }, {
          name: "神经与代谢类疾病"
        }, {
          name: "肢体与病毒类疾病"
        }, {
          name: "恶性肿瘤"
        }],
        ability: '', //老年人能力情况
        livingCondition: '', //生活经济情况
        moneyFromAyy: [{
          name: "家庭经营性收入"
        }, {
          name: "工资性收入"
        }, {
          name: "转移性收入"
        }, {
          name: "财产性收入"
        }, {
          name: "其它"
        }],
        income: '',
        sourceOfIncomeExt: '', //其他收入情况
        familyHelpArr: [{
          name: "低保"
        }, {
          name: "建档立卡贫困户"
        }, {
          name: "医疗救助"
        }, {
          name: "临时救助"
        }, {
          name: "老年人福利津贴"
        }, {
          name: "残疾人两项补贴（或一项补贴)"
        }, {
          name: "其他救助"
        }],
        rescueStateExt: '', //其他救助
        loneArr: [{
          name: "是"
        }, {
          name: "否"
        }],
        liveStatus: [{
          name: "无人陪伴居住",
          disabled: false
        }, {
          name: "配偶",
          disabled: false
        }, {
          name: "近亲属",
          disabled: false
        }, {
          name: "未成年孙子女",
          disabled: false
        }, {
          name: "其他情形",
          disabled: false
        }],
        accompanyExt: '', //陪伴居住其他
        oftenMan: [{
          name: "无人照料",
          disabled: false
        }, {
          name: "近亲属",
          disabled: false
        }, {
          name: "配偶",
          disabled: false
        }, {
          name: "邻里互助",
          disabled: false
        }, {
          name: "购买养老服务",
          disabled: false
        }, {
          name: "其他人员",
          disabled: false
        }],
        lookAfterExt: '', //其他日常生活照料人关系
        mainLookName: '', //日常生活照料人姓名
        mainLookSex: [{
          name: "男"
        }, {
          name: "女"
        }],
        mainLookPhone: '', //
        loveRequire: [{
            name: "生活照料"
          },
          {
            name: "生产帮助"
          },
          {
            name: "精神慰藉"
          },
          {
            name: "医疗保健"
          },
          {
            name: "权益维护"
          },
          {
            name: "安全监护"
          },
          {
            name: "文化娱乐"
          },
          {
            name: "紧急救助"
          },
          {
            name: "其它"
          },
        ],
        oldType: [{
          name: "农村留守老年人",
          disable: false,
          checked: false
        }, {
          name: "分散供养特困老年人",
          disable: false,
          checked: false
        }, {
          name: "计划生育特殊家庭老人",
          disable: false,
          checked: false
        }, {
          name: "空巢老年人",
          disable: false,
          checked: false
        }, {
          name: "独居老年人",
          disable: false,
          checked: false
        }, {
          name: "重残老年人",
          disable: false,
          checked: false
        }, {
          name: "高龄老年人",
          disable: false,
          checked: false
        }],
        isHavePhoto: false,
        imgPath: '',
        photoAndLocation: '',
      }];
      let regularsInfos = [{
        visitMode: [{
          name: '电话问候',
          checked: false
        }, {
          name: '上门巡访',
          checked: false
        }, {
          name: '其它',
          checked: false
        }],
        visitModeExt: '', //巡访其他
        visitCount: [{
          name: '每天',
          checked: false
        }, {
          name: '每周',
          checked: false
        }, {
          name: '每月',
          checked: false
        }, {
          name: '每季',
          checked: false
        }, {
          name: '其它',
          checked: false
        }],
        visitCountExt: '', // 频次的其他
      }];
      let otherInfo = [{
        isHasOther: '',
        Info: {
          name: '', // 其他赡养人姓名,
          sex: '', //其他赡养人性别
          phone: '', //其他赡养人电话,
          relation: '', //与被赡养人关系 如果选了其他也是必填 单选
          relationExt: '', //与被赡养人关系--其他
          isHasGoOut: '', //是否外出
          outgoingCause: '', //外出原因
          outgoingplace: '', // 外出地点
          outgoingTime: '', // 最后一次离家时间
          isHasPartner: '', //是否有配偶  当是的时候  子女配偶姓名 子女配偶电话 必填   0:是  1：否
          name2: '',
          phone2: '',
          visit: '', //平均一年探望次数
          othersyrSexArr: [{
              name: '男',
              checked: false
            },
            {
              name: '女',
              checked: false
            },
          ]
        }
      }];
      let childInfo = [{
        childrenNum: ''
      }]
      this.setData({
        showBj: showbj,
        showAdress: false,
        showAdress1: false,
        nameArr: [],
        oldInfo: oldInfo,
        childInfo: childInfo,
        otherInfo: otherInfo,
        regularsInfos: regularsInfos,
      })
      console.log(this.data.regularsInfos);
      console.log(this.data.showBj, "444444444444444444444444444444444444444444444");
    } else if (id == '-1') {

    } else if (id) {
      wx.showLoading({
        title: '加载中',
      })

      this.setData({
        showBj: false,
        showBj1: false,
        showAdress: false,
        showAdress1: false,
        nameArr: [],
        activeIndex: 0,
        familyFid: id,
        color: 'transparent',
      })
      console.log(this.data.showBj, "关闭提示添加");


      var that = this;
      wx.request({
        url: util.globalData.publicUrl + '/wxinfo/listByFid',
        method: "GET",
        data: {
          fid: id,
        },
        header: {
          appletsId: wx.getStorageSync('openId')
        },
        success: (res) => {
          wx.hideLoading()
          console.log(res.data.data, "单查赋值锕")
          that.setData({
            oldInfo: res.data.data
          })
          let datass = res.data.data;
          let fristIndex = datass.findIndex((item) => {
            return name == item.name;
          });
          let fristArray = datass.filter((item) => {
            return name == item.name;
          });
          datass.splice(fristIndex, 1);
          datass.unshift(fristArray[0]);
          //regularsInfo: JSON.stringify(this.data.regularsInfo[this.data.activeIndex])
          //   regularsInfo:data[this.data.activeIndex]
          that.setData({
            nameArr: datass,
            // regularsInfo: datass[that.data.activeIndex].regularsInfo
          })



          console.log(that.data.regularsInfo, "赋值是么");

          let oldSex = [{
              name: '男',
              checked: false
            },
            {
              name: '女',
              checked: false
            }
          ]
          let oldMarry = [{
            name: "未婚"
          }, {
            name: "已婚"
          }, {
            name: "离异"
          }, {
            name: "丧偶"
          }];
          let loneArr = [{
            name: "是"
          }, {
            name: "否"
          }];
          let mainLookSex = [{
            name: "男"
          }, {
            name: "女"
          }];
          let abc = datass.map(item => {
            let otherInfo = ''
            let imgPath = ''
            if (item.photo) {
              imgPath = item.photo;
            } else {
              imgPath = ''
            }
            let disabilityAyyss = [{
              name: "视力残疾"
            }, {
              name: "听力残疾"
            }, {
              name: "言语残疾"
            }, {
              name: "肢体残疾"
            }, {
              name: "智力残疾"
            }, {
              name: "精神残疾"
            }, {
              name: "多重残疾"
            }];
            let sickType = [{
              name: "重大器官类疾病"
            }, {
              name: "心脑血管类疾病"
            }, {
              name: "神经与代谢类疾病"
            }, {
              name: "肢体与病毒类疾病"
            }, {
              name: "恶性肿瘤"
            }];
            let moneyFromAyy = [{
              name: "家庭经营性收入"
            }, {
              name: "工资性收入"
            }, {
              name: "转移性收入"
            }, {
              name: "财产性收入"
            }, {
              name: "其它"
            }];
            let familyHelpArr = [{
              name: "低保"
            }, {
              name: "建档立卡贫困户"
            }, {
              name: "医疗救助"
            }, {
              name: "临时救助"
            }, {
              name: "老年人福利津贴"
            }, {
              name: "残疾人两项补贴（或一项补贴)"
            }, {
              name: "其他救助"
            }];
            let loveRequire = [{
                name: "生活照料"
              },
              {
                name: "生产帮助"
              },
              {
                name: "精神慰藉"
              },
              {
                name: "医疗保健"
              },
              {
                name: "权益维护"
              },
              {
                name: "安全监护"
              },
              {
                name: "文化娱乐"
              },
              {
                name: "紧急救助"
              },
              {
                name: "其它"
              },
            ];
            let isSameWithAddresss = [{
              name: '现居地址与户籍地址一致'
            }]
            let finalarr = [];
            if (item.health.includes("健康")) {
              for (let i = 0; i < 4; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "健康" : i == 1 ? "残疾" : i == 2 ? "患重特大疾病" : i == 3 ? "老年人慢性病" : "");
                obj.checked = (i == 0 ? true : false);
                obj.disabled = (i == 0 ? false : true);
                finalarr.push(obj)
              }
            } else {
              for (let i = 0; i < 4; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "健康" : i == 1 ? "残疾" : i == 2 ? "患重特大疾病" : i == 3 ? "老年人慢性病" : "");
                obj.checked = (i == 0 ? false : false);
                obj.disabled = (i == 0 ? false : false);
                finalarr.push(obj)
              }
              if (item.health.includes("残疾")) {
                finalarr[1].checked = true;
              }
              if (item.health.includes("患重特大疾病")) {
                finalarr[2].checked = true;
              }
              if (item.health.includes("老年人慢性病")) {
                finalarr[3].checked = true;
              }
            }

            let accompanyArr = [];
            if (item.accompany.includes("无人陪伴居住")) {
              for (let i = 0; i < 5; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人陪伴居住" : i == 1 ? "配偶" : i == 2 ? "近亲属" : i == 3 ? "未成年孙子女" : "其他情形");
                obj.checked = (i == 0 ? true : false);
                obj.disabled = (i == 0 ? false : true);
                accompanyArr.push(obj)
              }
            } else {
              for (let i = 0; i < 5; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人陪伴居住" : i == 1 ? "配偶" : i == 2 ? "近亲属" : i == 3 ? "未成年孙子女" : "其他情形");
                obj.checked = (i == 0 ? false : false);
                obj.disabled = (i == 0 ? false : false);
                accompanyArr.push(obj)
              }
              if (item.accompany.includes("配偶")) {
                accompanyArr[1].checked = true;
              }
              if (item.accompany.includes("近亲属")) {
                accompanyArr[2].checked = true;
              }
              if (item.accompany.includes("未成年孙子女")) {
                accompanyArr[3].checked = true;
              }
              if (item.accompany.includes("其他情形")) {
                accompanyArr[4].checked = true;
              }
            }
            let lookAfterArr = [];
            if (item.lookAfter.includes("无人照料")) {
              for (let i = 0; i < 6; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人照料" : i == 1 ? "近亲属" : i == 2 ? "配偶" : i == 3 ? "邻里互助" : i == 4 ? "购买养老服务" : '其他人员');
                obj.checked = (i == 0 ? true : false);
                obj.disabled = (i == 0 ? false : true);
                lookAfterArr.push(obj)
              }
            } else {
              for (let i = 0; i < 6; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人照料" : i == 1 ? "近亲属" : i == 2 ? "配偶" : i == 3 ? "邻里互助" : i == 4 ? "购买养老服务" : '其他人员');
                obj.checked = (i == 0 ? false : false);
                obj.disabled = (i == 0 ? false : false);
                lookAfterArr.push(obj)
              }
              if (item.lookAfter.includes("近亲属")) {
                lookAfterArr[1].checked = true;
              }
              if (item.lookAfter.includes("配偶")) {
                lookAfterArr[2].checked = true;
              }
              if (item.lookAfter.includes("邻里互助")) {
                lookAfterArr[3].checked = true;
              }
              if (item.lookAfter.includes("购买养老服务")) {
                lookAfterArr[4].checked = true;
              }
              if (item.lookAfter.includes("其他人员")) {
                lookAfterArr[5].checked = true;
              }
            }

            let oldTypeArr = [];
            for (let i = 0; i < 8; i++) {
              let obj = new Object();
              obj.name = (i == 0 ? "农村留守老年人" : i == 1 ? "分散供养特困老年人" : i == 2 ? "计划生育特殊家庭老人" : i == 3 ? "空巢老年人" : i == 4 ? "独居老年人" : i == 5 ? "重残老人" : i == 6 ? "高龄老人" : "失能老人");
              obj.checked = (i == 0 ? false : false);
              obj.disable = (i == 0 ? false : false);
              oldTypeArr.push(obj)
            }
            if (item.oldType.includes("农村留守老年人")) {
              oldTypeArr[0].checked = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[2].disable = true;
              oldTypeArr[3].checked = true;
              oldTypeArr[3].disable = true;
            }
            if (item.oldType.includes("分散供养特困老年人")) {
              oldTypeArr[1].checked = true;
              oldTypeArr[0].disable = true;
              oldTypeArr[2].disable = true;
              oldTypeArr[3].disable = true;
            }
            if (item.oldType.includes("计划生育特殊家庭老人")) {
              oldTypeArr[2].checked = true;
              oldTypeArr[0].disable = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[3].disable = true;
            }
            if (item.oldType.includes("空巢老年人") && item.oldType.includes("农村留守老年人")) {
              oldTypeArr[3].checked = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[2].disable = true;
            }
            if (item.oldType.includes("空巢老年人") && !item.oldType.includes("农村留守老年人")) {
              oldTypeArr[3].checked = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[2].disable = true;
              oldTypeArr[0].disable = true;
            }

            if (item.oldType.includes("独居老年人")) {
              oldTypeArr[4].checked = true;
            }
            if (item.oldType.includes("重残老人")) {
              oldTypeArr[5].checked = true;
            }
            if (item.oldType.includes("高龄老人")) {
              oldTypeArr[6].checked = true;
            }
            if (item.oldType.includes("失能老人")) {
              oldTypeArr[7].checked = true;
            }
            disabilityAyyss.forEach(itemss => {
              item.disabilityCategory.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })

            familyHelpArr.forEach(itemss => {
              item.rescueState.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })
            moneyFromAyy.forEach(itemss => {
              item.sourceOfIncome.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })
            console.log(item.majorDiseases, '0000')
            if (item.majorDiseases) {
              sickType.forEach(items => {
                item.majorDiseases.forEach(itemss => {
                  if (items.name == itemss) {
                    items.checked = true;
                  }
                })
              })
            }
            loveRequire.forEach(itemss => {
              item.demand.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })
            let chooseAdressArr = [];
            let chooseAdressArr1 = [];
            // if (item.nativePlace && item.nativePlaceId) {
            //   let nativePlaces = item.nativePlace.split('/');
            //   let nativePlaceId = item.nativePlaceId.split(',');
            //   chooseAdressArr = nativePlaces.map((item, i) => ({
            //     CIVILREGIONALISMNAME: item,
            //     CIVILREGIONALISMID: nativePlaceId[i]
            //   }));
            //   if (item.isSameWithAddress == '是') {
            //     isSameWithAddresss.forEach(item => {
            //       item.checked = true;
            //     })
            //     chooseAdressArr1 = chooseAdressArr;
            //   }else {
            //     chooseAdressArr1 = [];
            //   }
            // }
            if (item.nativePlace) {
              let nativePlaces = item.nativePlace.split('/');
              console.log(nativePlaces, "返回。。。。。。。。。。。。。。。。。。。。。。。。。。");
              chooseAdressArr = nativePlaces;
              console.log(chooseAdressArr);

              if (item.isSameWithAddress == '是') {
                isSameWithAddresss.forEach(item => {
                  item.checked = true;
                })
                chooseAdressArr1 = chooseAdressArr;
              } else {
                chooseAdressArr1 = [];
              }
            }
            let addressExts = '';
            if (item.addressExt) {
              addressExts = item.addressExt
            }
            let nativePlaceExts = '';
            if (item.nativePlaceExt) {
              nativePlaceExts = item.nativePlaceExt
            }
            if (item.address) {
              let address = item.address.split('/')
              chooseAdressArr1 = address;
            }
            return {
              ...item,
              sickType: sickType,
              oldSex: oldSex.map(items => {
                if (items.name == item.sex) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),
              oldMarry: oldMarry.map(items => {
                if (items.name == item.partnerState) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),
              addressExt: addressExts,
              nativePlaceExt: nativePlaceExts,
              imgPath: imgPath,
              healthAyy: finalarr,
              disabilityAyy: disabilityAyyss,
              moneyFromAyy: moneyFromAyy,
              familyHelpArr: familyHelpArr,
              otherInfo: otherInfo, //赡养人存在么
              mainLookSex: mainLookSex.map(items => {
                if (items.name == item.mainLookSex) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),
              loneArr: loneArr.map(items => {
                if (items.name == item.isLoss) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),
              liveStatus: accompanyArr,
              oftenMan: lookAfterArr,
              loveRequire: loveRequire,
              oldType: oldTypeArr,
              chooseAdressArr: chooseAdressArr,
              isSameWithAddress: isSameWithAddresss,
              chooseAdressArr1: chooseAdressArr1,
            }
          })
          let def = datass.map(item => {
            console.log(item.otherInfo, "；；；；；；；；；；；；；；；；；；；；；；；；；；");
            let sexs = [{
                name: '男',
                checked: false
              },
              {
                name: '女',
                checked: false
              }
            ]
            let otherInfo = '';
            let name = '';
            let phone = ''
            let relation = ''
            let relationExt = ''
            let outgoingCause = ''
            let isHasGoOut = ''
            let outgoingTime = ''
            let isHasPartner = ''
            let outgoingplace = ''
            let phone2 = ''
            let name2 = ''
            let sex = '';
            let visit = '';
            if (item.otherInfo) {
              let partol = this.removeExcess(item.otherInfo);
              otherInfo = '是'
              if (partol.name) {
                name = partol.name
              }
              if (partol.sex) {
                sexs.forEach(items => {
                  if (items.name == partol.sex) {
                    items.checked = true;
                    sex = partol.sex;
                  }
                })
              }
              if (partol.phone) {
                phone = partol.phone
              }
              if (partol.relation) {
                relation = partol.relation
              }
              if (partol.relationExt) {
                relationExt = partol.relationExt
              }
              if (partol.visit) {
                visit = partol.visit;
              }
              if (partol.isHasGoOut) {
                isHasGoOut = partol.isHasGoOut;
              }
              if (partol.outgoingCause) {
                outgoingCause = partol.outgoingCause;
              }
              if (partol.outgoingTime) {
                outgoingTime = partol.outgoingTime;
              }
              if (partol.isHasPartner) {
                isHasPartner = partol.isHasPartner;
              }
              if (partol.outgoingplace) {
                outgoingplace = partol.outgoingplace;
              }
              if (partol.name2) {
                name2 = partol.name2;
              }

              if (partol.phone2) {
                phone2 = partol.phone2;
              }

            } else if (item.otherInfo == '') {
              otherInfo = '否'
            } else {
              otherInfo = ''
            }
            return {
              ...item,
              isHasOther: otherInfo, //赡养人存在
              // name: name,
              // othersyrSexArr: sex,
              // phone: phone,
              // othersyrRelationValue: othersyrRelationValue,
              // relationExt: relationExt,
              // visit: visit,
              Info: {
                name: name,
                phone: phone,
                relation: relation,
                relationExt: relationExt,
                isHasGoOut: isHasGoOut,
                outgoingCause: outgoingCause,
                outgoingTime: outgoingTime,
                isHasPartner: isHasPartner,
                outgoingplace: outgoingplace,
                visit: visit,
                name2: name2,
                phone2: phone2,
                othersyrSexArr: sexs,
                sex: sex,
              }

            }
          })
          let ghi = datass.map(item => {
            // console.log(item, "8888888888888888888888888888888888888888888888888888");
            let childrenNum = '';
            if (item.childrenNum) {
              if (item.childrenNum == '4') {
                childrenNum = '3个以上'
              } else {
                childrenNum = item.childrenNum + '个'
              }
            } else {
              childrenNum = ''
            }
            let Info = [];
            if (item.childInfo) {
              let partol = this.removeExcess(item.childInfo);
              Info = partol
            } else {
              if (parseInt(childrenNum) == 5) {
                for (let i = 0; i < parseInt(childrenNum) - 1; i++) {
                  let chlidInfos = {
                    name: '', // 姓名
                    sex: '',
                    phone: '', //  常用联系电话,
                    isHasGoOut: '', // 子女是否外出
                    outgoingplace: '', //  外出地点
                    isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
                    name2: '', // 子女配偶姓名
                    phone2: '', //  子女配偶电话
                    outgoingTime: '', // 最后一次离家时间
                    outgoingCause: '', // 外出原因
                    visit: '', // 平均一年探望次数
                  }
                  Info.push(chlidInfos)
                }
              } else {
                for (let i = 0; i < parseInt(childrenNum); i++) {
                  let chlidInfos = {
                    name: '', // 姓名
                    sex: '',
                    phone: '', //  常用联系电话,
                    isHasGoOut: '', // 子女是否外出
                    outgoingplace: '', //  外出地点
                    isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
                    name2: '', // 子女配偶姓名
                    phone2: '', //  子女配偶电话
                    outgoingTime: '', // 最后一次离家时间
                    outgoingCause: '', // 外出原因
                    visit: '', // 平均一年探望次数
                  }
                  Info.push(chlidInfos)
                }
              }

            }
            return {
              ...item,
              childrenNum: childrenNum,
              Info: Info
            }
          })
          let zzz = datass.map(item => {
            let visitModeExt = ''
            let visitCountExt = ''
            let visitMode = [{
              name: '电话问候',
              checked: false
            }, {
              name: '上门巡访',
              checked: false
            }, {
              name: '其它',
              checked: false
            }]
            let visitCounts = [{
                name: '每天',
                checked: false
              }, {
                name: '每周',
                checked: false
              }, {
                name: '每月',
                checked: false
              },
              {
                name: '每季',
                checked: false
              },
              {
                name: '其它',
                checked: false
              }
            ];
            if (item.regularsInfo) {
              let partol = this.removeExcess(item.regularsInfo);
              let partols = this.removeExcess(partol.visitMode);
              if (partol.visitMode) {
                visitMode.forEach(items => {
                  partols.forEach(itemss => {
                    if (items.name == itemss) {
                      items.checked = true;
                    }
                  })
                })
              }
              if (partol.visitCount) {
                visitCounts.forEach(items => {
                  if (items.name == partol.visitCount) {
                    items.checked = true;
                  }
                })
              }
              if (partol.visitCountExt) {
                visitCountExt = partol.visitCountExt;
              }
              if (partol.visitModeExt) {
                visitModeExt = partol.visitModeExt;
              }
            }
            return {
              ...item,
              visitCountExt: visitCountExt,
              visitModeExt: visitModeExt,
              visitMode: visitMode,
              visitCount: visitCounts,
            }
          })
          let mmm = datass.map(item => {
            if (item.regularsInfo) {
              let partol = this.removeExcess(item.regularsInfo);
              let partols = this.removeExcess(partol.visitMode);
              console.log(partol, "111111111111111111111");
              console.log(partols, "99999999999999999999");
              return {
                visitCount: partol.visitCount,
                visitCountExt: partol.visitCountExt,
                visitMode: partols,
                visitModeExt: partol.visitModeExt,
              }
            }
          })
          console.log(mmm, "mmmmmmmmmmmmmm");

          // if (datass[that.data.activeIndex].regularsInfo) {
          //   let regularsInfo = that.removeExcess(datass[that.data.activeIndex].regularsInfo);
          //   console.log(regularsInfo,"解析的regularsInfo");

          //   that.setData({
          //     regularsInfo: regularsInfo
          //   })
          // }

          that.setData({
            oldInfo: abc,
            otherInfo: def,
            childInfo: ghi,
            regularsInfos: zzz,
            regularsInfo: mmm,

          })
          console.log(that.data.oldInfo, "老人的返现数组")
          console.log(that.data.otherInfo, "其他的返现数组")
          console.log(that.data.childInfo, "孩子的返现数组")
          console.log(that.data.regularsInfos, "q巡访的返现数组")
          console.log(that.data.regularsInfo, "巡访传值的返回")
          // let ghi = res.data.data.map(item => {
          //   console.log(item.otherInfo, "；；；；；；；；；；；；；；；；；；；；；；；；；；");
          //   let sex = [{
          //       name: '男',
          //       checked: false
          //     },
          //     {
          //       name: '女',
          //       checked: false
          //     }
          //   ]
          //   let otherInfo = '';
          //   let name = '';
          //   let phone = ''
          //   let othersyrRelationValue = ''
          //   let relationExt = ''
          //   let visit = ''
          //   if (item.otherInfo) {
          //     let partol = this.removeExcess(item.otherInfo);
          //     otherInfo = '是'
          //     if (partol.name) {
          //       name = partol.name
          //     }
          //     if (partol.sex) {
          //       sex.forEach(items => {
          //         if (items.name == partol.sex) {
          //           items.checked = true;
          //         }
          //       })
          //     }
          //     if (partol.phone) {
          //       phone = partol.phone
          //     }
          //     if (partol.relation) {
          //       othersyrRelationValue = partol.relation
          //     }
          //     if (partol.relationExt) {
          //       relationExt = partol.relationExt
          //     }
          //     if (partol.visit) {
          //       visit = partol.visit;
          //     }

          //   } else {
          //     otherInfo = ''
          //   }
          //   return {
          //     ...item,
          //     otherInfo: otherInfo, //赡养人存在
          //     name: name,
          //     othersyrSexArr: sex,
          //     phone: phone,
          //     othersyrRelationValue: othersyrRelationValue,
          //     relationExt: relationExt,
          //     visit: visit,
          //   }
          // })
          // that.setData({
          //   oldInfo: abc,
          //   otherInfo: def,
          //   childInfo: ghi
          // })
        }
      })
    } else {

    }

  },

  // // 选择现居地址
  // chooseAdress1() {
  //   if (this.data.oldInfo[this.data.activeIndex].chooseAdressArr1.length == 0) {
  //     wx.request({
  //       url: util.globalData.publicUrl + '/civilregionalism/deptList',
  //       method: "get",
  //       header: {
  //         appletsId: wx.getStorageSync('openId')
  //       },
  //       success: (res) => {
  //         console.log(res.data.data)
  //         this.setData({
  //           showAdress1: true,
  //           provinceArr1: res.data.data
  //         })
  //       }
  //     })
  //   }
  //   this.setData({
  //     showAdress1: true
  //   })
  // },
  // provinceClick(e) {
  //   console.log(e.currentTarget.dataset.item)
  //   wx.showLoading({
  //     title: '选择中',
  //     mask: true
  //   })
  //   this.data.oldInfo[this.data.activeIndex].chooseAdressArr.push(e.currentTarget.dataset.item)
  //   wx.request({
  //     url: util.globalData.publicUrl + '/civilregionalism/deptList',
  //     method: "get",
  //     header: {
  //       appletsId: wx.getStorageSync('openId')
  //     },
  //     data: {
  //       fid: e.currentTarget.dataset.item.CIVILREGIONALISMID
  //     },
  //     success: (res) => {
  //       this.setData({
  //         provinceArr: res.data.data,
  //         isAdress: true,
  //         oldInfo: this.data.oldInfo
  //       })
  //       if (res.data.data.length == 0) {
  //         this.setData({
  //           pleaseChoose: false
  //         })
  //       }
  //       if (this.data.oldInfo[this.data.activeIndex].chooseAdressArr.length == 5) {
  //         let nativePlaceId = '';
  //         let nativePlace = '';
  //         for (let value of this.data.oldInfo[this.data.activeIndex].chooseAdressArr) {
  //           nativePlace += value.CIVILREGIONALISMNAME + '/'
  //           nativePlaceId += value.CIVILREGIONALISMID + ','
  //           console.log(value, "打印下");
  //         }
  //         this.SubmitOldmanInfo({
  //           id: this.data.nameArr[this.data.activeIndex]._id,
  //           nativePlace: nativePlace.substring(0, nativePlace.length - 1),
  //           nativePlaceId: nativePlaceId.substring(0, nativePlaceId.length - 1),
  //         })
  //       }
  //       console.log(this.data.oldInfo[this.data.activeIndex].chooseAdressArr, '我是添加的数组')
  //       wx.hideLoading()
  //     }
  //   })
  //   // }
  // },
  // provinceClick1(e) {
  //   console.log(e.currentTarget.dataset.item)
  //   wx.showLoading({
  //     title: '选择中',
  //     mask: true
  //   })
  //   this.data.oldInfo[this.data.activeIndex].chooseAdressArr1.push(e.currentTarget.dataset.item)
  //   wx.request({
  //     url: util.globalData.publicUrl + '/civilregionalism/deptList',
  //     method: "get",
  //     header: {
  //       appletsId: wx.getStorageSync('openId')
  //     },
  //     data: {
  //       fid: e.currentTarget.dataset.item.CIVILREGIONALISMID
  //     },
  //     success: (res) => {
  //       this.setData({
  //         provinceArr1: res.data.data,
  //         isAdress1: true,
  //         oldInfo: this.data.oldInfo
  //       })
  //       if (res.data.data.length == 0) {
  //         this.setData({
  //           pleaseChoose1: false
  //         })
  //       }
  //       if (this.data.oldInfo[this.data.activeIndex].chooseAdressArr1.length == 5) {
  //         let addressId = '';
  //         let address = '';
  //         for (let value of this.data.oldInfo[this.data.activeIndex].chooseAdressArr1) {
  //           address += value.CIVILREGIONALISMNAME + '/'
  //           addressId += value.CIVILREGIONALISMID + ','
  //           console.log(value, "打印下");
  //         }
  //         this.SubmitOldmanInfo({
  //           id: this.data.nameArr[this.data.activeIndex]._id,
  //           address: address.substring(0, address.length - 1),
  //           addressId: addressId.substring(0, addressId.length - 1),
  //         })
  //       }
  //       console.log(this.data.oldInfo[this.data.activeIndex].chooseAdressArr1, '我是添加的数组')
  //       wx.hideLoading()
  //     }
  //   })
  //   // }
  // },
  // closeAdress() {
  //   this.setData({
  //     showAdress: false
  //   })
  // },
  // closeAdress1() {
  //   this.setData({
  //     showAdress1: false
  //   })
  // },
  // reSelect(e) {
  //   let Info = 'oldInfo[' + this.data.activeIndex + '].chooseAdressArr'
  //   console.log(e.currentTarget.dataset.index)
  //   this.setData({
  //     [Info]: this.data.oldInfo[this.data.activeIndex].chooseAdressArr.slice(0, e.currentTarget.dataset.index),
  //     oldInfo: this.data.oldInfo
  //   })
  //   console.log(this.data.oldInfo[this.data.activeIndex].chooseAdressArr)
  //   let fid;
  //   if (this.data.oldInfo[this.data.activeIndex].chooseAdressArr.length != 0) {
  //     fid = this.data.oldInfo[this.data.activeIndex].chooseAdressArr[this.data.oldInfo[this.data.activeIndex].chooseAdressArr.length - 1].CIVILREGIONALISMID;
  //   } else {
  //     fid = ''
  //   }
  //   wx.request({
  //     url: util.globalData.publicUrl + '/civilregionalism/deptList',
  //     method: "get",
  //     header: {
  //       appletsId: wx.getStorageSync('openId')
  //     },
  //     data: {
  //       fid
  //     },
  //     success: (res) => {
  //       this.setData({
  //         provinceArr: res.data.data,
  //         isAdress: true,
  //         oldInfo: this.data.oldInfo
  //       })
  //       if (res.data.data.length == 0) {
  //         this.setData({
  //           pleaseChoose: false
  //         })
  //       }
  //       console.log(this.data.oldInfo[this.data.activeIndex].chooseAdressArr, '我是添加的数组')
  //       wx.hideLoading()
  //       // this.setData({
  //       //   provinceArr: res.data.data,
  //       //   isAdress: true,
  //       //   [Info]: this.data.oldInfo
  //       // })
  //       // if (res.data.data.length == 0) {
  //       //   this.setData({
  //       //     pleaseChoose: false
  //       //   })
  //       // }
  //     }
  //   })
  // },
  // reSelect1(e) {
  //   let Info = 'oldInfo[' + this.data.activeIndex + '].chooseAdressArr1'
  //   console.log(e.currentTarget.dataset.index)
  //   this.setData({
  //     [Info]: this.data.oldInfo[this.data.activeIndex].chooseAdressArr1.slice(0, e.currentTarget.dataset.index),
  //     oldInfo: this.data.oldInfo
  //   })
  //   console.log(this.data.oldInfo[this.data.activeIndex].chooseAdressArr1)
  //   let fid;
  //   if (this.data.oldInfo[this.data.activeIndex].chooseAdressArr1.length != 0) {
  //     fid = this.data.oldInfo[this.data.activeIndex].chooseAdressArr1[this.data.oldInfo[this.data.activeIndex].chooseAdressArr1.length - 1].CIVILREGIONALISMID;
  //   } else {
  //     fid = ''
  //   }
  //   wx.request({
  //     url: util.globalData.publicUrl + '/civilregionalism/deptList',
  //     method: "get",
  //     header: {
  //       appletsId: wx.getStorageSync('openId')
  //     },
  //     data: {
  //       fid
  //     },
  //     success: (res) => {
  //       this.setData({
  //         provinceArr1: res.data.data,
  //         isAdress1: true,
  //         oldInfo: this.data.oldInfo
  //       })
  //       if (res.data.data.length == 0) {
  //         this.setData({
  //           pleaseChoose1: false
  //         })
  //       }
  //       console.log(this.data.oldInfo[this.data.activeIndex].chooseAdressArr1, '我是添加的数组')
  //       wx.hideLoading()
  //     }
  //   })
  // },
  // 提交老人采集信息
  SubmitOldmanInfo(data) {
    console.log(data, ' 提交老人信息带过来的数据')
    console.log(this.data.nameArr[this.data.activeIndex])
    wx.request({
      url: util.globalData.publicUrl + '/wxinfo/update',
      method: "post",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data,
      success: (res) => {
        console.log(res)
      }
    })
  },
  onReady() {
    console.log("onReadyonReadyonReadyonReadyonReadyonReadyonReadyonReadyonReadyonReady");
    isTwoOnshow = false;
    isonShow = false;
  },
  onShow() {
    console.log("Onshow。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。");
    if (wx.getStorageSync('user') == '') {
      wx.redirectTo({
        url: '/pages/login/login',
      })
    } else {
      const app = getApp();
      if (isTwoOnshow) {
        isTwoOnshow = false;
        return;
      };
      if (isonShow) {
        isonShow = false;
        return;
      };

      this.setData({
        addOldname: '',
        currentIndex: 0
      })
      console.log(app.globalData.id, "传参的一户的值");
      this.huixian(app.globalData.id, app.globalData.name);
    }
  },
  onHide() {
    const app = getApp()
    if (app.globalData.id != -1) {
      app.globalData.id = ''
    }
    app.globalData.name = ''
    this.setData({
      showBj: false,
    })
    // isonShow = false
    // isTwoOnshow = false
    console.log(this.data.showBj, "我关闭页面隐藏属性");
    console.log(app.globalData.id, "清空了么");

  },
  //获取位置
  getSelfLocation: function (varSendOrgId) {
    // 实例化API核心类
    var qqmapsdk = new QQMapWX({
      key: 'B5DBZ-NGIHP-SQMD4-LHMG3-NJ72Z-7KFOV' //申请的开发者秘钥key
    });
    var that = this; //用户授权过可以直接获取位置
    wx.getLocation({
      //type: 'wgs84',
      type: 'gcj02',
      success: function (res) {
        console.log(res, "0000000");
        // 返回当前定位的经纬度
        var latitude = parseFloat(res.latitude).toFixed(5);
        var longitude = parseFloat(res.longitude).toFixed(5);
        qqmapsdk.reverseGeocoder({
          location: {
            latitude: res.latitude,
            longitude: res.longitude
          },
          success: function (res) {
            //获取当前地址成功
            // that.setData({
            //   visitLocation: res.result.address
            // })
            let photoAndLocation = 'oldInfo[' + that.data.activeIndex + '].photoAndLocation'
            let gps = longitude + '/' + latitude + '/' + res.result.address
            that.setData({
              [photoAndLocation]: gps
            })
            console.log(that.data.nameArr[that.data.activeIndex], "定位的问题");
            that.SubmitOldmanInfo({
              id: that.data.nameArr[that.data.activeIndex]._id,
              photoAndLocation: gps
            })
          },
          fail: function (res) {
            console.log('获取当前地址失败');
          }
        });
      },
      fail: function (res) {}
    });
  },
  onLoad(value) {
    if (wx.getStorageSync('user') == '') {
      wx.redirectTo({
        url: '/pages/login/login',
      })
    } else {
      console.log(value, "onLoadonLoadonLoadonLoadonLoadonLoadonLoadonLoadonLoadonLoadonLoadonLoadonLoadonLoadonLoadonLoadonLoadonLoad");
      this.chooseAdress();
      //this.huixian1(value.id, value.name);
    }
  },
  huixian1(id, name) {
    if (id) {
      wx.showLoading({
        title: '加载中',
      })
      this.setData({
        showBj: false,
        showBj1: false,
        showAdress: false,
        showAdress1: false,
        nameArr: [],
        activeIndex: 0,
        familyFid: id,
        color: 'transparent',
      })
      console.log(this.data.showBj, "关闭提示添加");
      var that = this;
      wx.request({
        url: util.globalData.publicUrl + '/wxinfo/listByFid',
        method: "GET",
        data: {
          fid: id,
        },
        header: {
          appletsId: wx.getStorageSync('openId')
        },
        success: (res) => {
          wx.hideLoading()
          console.log(res.data.data, "单查赋值锕")
          that.setData({
            oldInfo: res.data.data
          })
          let datass = res.data.data;
          let fristIndex = datass.findIndex((item) => {
            return name == item.name;
          });
          let fristArray = datass.filter((item) => {
            return name == item.name;
          });

          datass.splice(fristIndex, 1);
          datass.unshift(fristArray[0]);
          that.setData({
            nameArr: datass,
          })
          // if (datass[that.data.activeIndex].regularsInfo) {
          //   let regularsInfo = that.removeExcess(datass[that.data.activeIndex].regularsInfo);
          //   that.setData({
          //     regularsInfo: regularsInfo
          //   })
          // }
          // console.log(that.data.regularsInfo, "onload赋值是么");

          // console.log(data, "dadadsadasdasdsadsadsadsa");
          let oldSex = [{
              name: '男',
              checked: false
            },
            {
              name: '女',
              checked: false
            }
          ]
          let oldMarry = [{
            name: "未婚"
          }, {
            name: "已婚"
          }, {
            name: "离异"
          }, {
            name: "丧偶"
          }];
          let loneArr = [{
            name: "是"
          }, {
            name: "否"
          }];
          let mainLookSex = [{
            name: "男"
          }, {
            name: "女"
          }];
          let abc = datass.map(item => {
            let otherInfo = ''
            let imgPath = ''
            if (item.photo) {
              imgPath = item.photo;
            } else {
              imgPath = ''
            }
            let disabilityAyyss = [{
              name: "视力残疾"
            }, {
              name: "听力残疾"
            }, {
              name: "言语残疾"
            }, {
              name: "肢体残疾"
            }, {
              name: "智力残疾"
            }, {
              name: "精神残疾"
            }, {
              name: "多重残疾"
            }];


            let moneyFromAyy = [{
              name: "家庭经营性收入"
            }, {
              name: "工资性收入"
            }, {
              name: "转移性收入"
            }, {
              name: "财产性收入"
            }, {
              name: "其它"
            }];
            let familyHelpArr = [{
              name: "低保"
            }, {
              name: "建档立卡贫困户"
            }, {
              name: "医疗救助"
            }, {
              name: "临时救助"
            }, {
              name: "老年人福利津贴"
            }, {
              name: "残疾人两项补贴（或一项补贴)"
            }, {
              name: "其他救助"
            }];
            let loveRequire = [{
                name: "生活照料"
              },
              {
                name: "生产帮助"
              },
              {
                name: "精神慰藉"
              },
              {
                name: "医疗保健"
              },
              {
                name: "权益维护"
              },
              {
                name: "安全监护"
              },
              {
                name: "文化娱乐"
              },
              {
                name: "紧急救助"
              },
              {
                name: "其它"
              },
            ];
            let isSameWithAddresss = [{
              name: '现居地址与户籍地址一致'
            }]
            let finalarr = [];
            if (item.health.includes("健康")) {
              for (let i = 0; i < 4; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "健康" : i == 1 ? "残疾" : i == 2 ? "患重特大疾病" : i == 3 ? "老年人慢性病" : "");
                obj.checked = (i == 0 ? true : false);
                obj.disabled = (i == 0 ? false : true);
                finalarr.push(obj)
              }
            } else {
              for (let i = 0; i < 4; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "健康" : i == 1 ? "残疾" : i == 2 ? "患重特大疾病" : i == 3 ? "老年人慢性病" : "");
                obj.checked = (i == 0 ? false : false);
                obj.disabled = (i == 0 ? false : false);
                finalarr.push(obj)
              }
              if (item.health.includes("残疾")) {
                finalarr[1].checked = true;
              }
              if (item.health.includes("患重特大疾病")) {
                finalarr[2].checked = true;
              }
              if (item.health.includes("老年人慢性病")) {
                finalarr[3].checked = true;
              }
            }

            let accompanyArr = [];
            if (item.accompany.includes("无人陪伴居住")) {
              for (let i = 0; i < 5; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人陪伴居住" : i == 1 ? "配偶" : i == 2 ? "近亲属" : i == 3 ? "未成年孙子女" : "其他情形");
                obj.checked = (i == 0 ? true : false);
                obj.disabled = (i == 0 ? false : true);
                accompanyArr.push(obj)
              }
            } else {
              for (let i = 0; i < 5; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人陪伴居住" : i == 1 ? "配偶" : i == 2 ? "近亲属" : i == 3 ? "未成年孙子女" : "其他情形");
                obj.checked = (i == 0 ? false : false);
                obj.disabled = (i == 0 ? false : false);
                accompanyArr.push(obj)
              }
              if (item.accompany.includes("配偶")) {
                accompanyArr[1].checked = true;
              }
              if (item.accompany.includes("近亲属")) {
                accompanyArr[2].checked = true;
              }
              if (item.accompany.includes("未成年孙子女")) {
                accompanyArr[3].checked = true;
              }
              if (item.accompany.includes("其他情形")) {
                accompanyArr[4].checked = true;
              }
            }
            let lookAfterArr = [];
            if (item.lookAfter.includes("无人照料")) {
              for (let i = 0; i < 6; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人照料" : i == 1 ? "近亲属" : i == 2 ? "配偶" : i == 3 ? "邻里互助" : i == 4 ? "购买养老服务" : '其他人员');
                obj.checked = (i == 0 ? true : false);
                obj.disabled = (i == 0 ? false : true);
                lookAfterArr.push(obj)
              }
            } else {
              for (let i = 0; i < 6; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人照料" : i == 1 ? "近亲属" : i == 2 ? "配偶" : i == 3 ? "邻里互助" : i == 4 ? "购买养老服务" : '其他人员');
                obj.checked = (i == 0 ? false : false);
                obj.disabled = (i == 0 ? false : false);
                lookAfterArr.push(obj)
              }
              if (item.lookAfter.includes("近亲属")) {
                lookAfterArr[1].checked = true;
              }
              if (item.lookAfter.includes("配偶")) {
                lookAfterArr[2].checked = true;
              }
              if (item.lookAfter.includes("邻里互助")) {
                lookAfterArr[3].checked = true;
              }
              if (item.lookAfter.includes("购买养老服务")) {
                lookAfterArr[4].checked = true;
              }
              if (item.lookAfter.includes("其他人员")) {
                lookAfterArr[5].checked = true;
              }
            }

            let oldTypeArr = [];
            for (let i = 0; i < 8; i++) {
              let obj = new Object();
              obj.name = (i == 0 ? "农村留守老年人" : i == 1 ? "分散供养特困老年人" : i == 2 ? "计划生育特殊家庭老人" : i == 3 ? "空巢老年人" : i == 4 ? "独居老年人" : i == 5 ? "重残老人" : i == 6 ? "高龄老人" : "失能老人");
              obj.checked = (i == 0 ? false : false);
              obj.disable = (i == 0 ? false : false);
              oldTypeArr.push(obj)
            }
            if (item.oldType.includes("农村留守老年人")) {
              oldTypeArr[0].checked = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[2].disable = true;
              oldTypeArr[3].checked = true;
              oldTypeArr[3].disable = true;
            }
            if (item.oldType.includes("分散供养特困老年人")) {
              oldTypeArr[1].checked = true;
              oldTypeArr[0].disable = true;
              oldTypeArr[2].disable = true;
              oldTypeArr[3].disable = true;
            }
            if (item.oldType.includes("计划生育特殊家庭老人")) {
              oldTypeArr[2].checked = true;
              oldTypeArr[0].disable = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[3].disable = true;
            }
            if (item.oldType.includes("空巢老年人") && item.oldType.includes("农村留守老年人")) {
              oldTypeArr[3].checked = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[2].disable = true;
            }
            if (item.oldType.includes("空巢老年人") && !item.oldType.includes("农村留守老年人")) {
              oldTypeArr[3].checked = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[2].disable = true;
              oldTypeArr[0].disable = true;
            }

            if (item.oldType.includes("独居老年人")) {
              oldTypeArr[4].checked = true;
            }
            if (item.oldType.includes("重残老人")) {
              oldTypeArr[5].checked = true;
            }
            if (item.oldType.includes("高龄老人")) {
              oldTypeArr[6].checked = true;
            }
            if (item.oldType.includes("失能老人")) {
              oldTypeArr[7].checked = true;
            }
            disabilityAyyss.forEach(itemss => {
              item.disabilityCategory.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })

            familyHelpArr.forEach(itemss => {
              item.rescueState.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })
            moneyFromAyy.forEach(itemss => {
              item.sourceOfIncome.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })

            loveRequire.forEach(itemss => {
              item.demand.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })
            let chooseAdressArr = [];
            let chooseAdressArr1 = [];
            if (item.nativePlace && item.nativePlaceId) {
              let nativePlaces = item.nativePlace.split('/');
              let nativePlaceId = item.nativePlaceId.split(',');
              chooseAdressArr = nativePlaces.map((item, i) => ({
                CIVILREGIONALISMNAME: item,
                CIVILREGIONALISMID: nativePlaceId[i]
              }));
              if (item.isSameWithAddress == '是') {
                isSameWithAddresss.forEach(item => {
                  item.checked = true;
                })
                chooseAdressArr1 = chooseAdressArr;
              }
            }
            let addressExts = '';
            if (item.addressExt) {
              addressExts = item.addressExt
            }
            let nativePlaceExts = '';
            if (item.nativePlaceExt) {
              nativePlaceExts = item.nativePlaceExt
            }
            if (item.address && item.nativePlaceId) {
              let address = item.address.split('/');
              let addressId = item.addressId.split(',');
              chooseAdressArr1 = address.map((item, i) => ({
                CIVILREGIONALISMNAME: item,
                CIVILREGIONALISMID: addressId[i]
              }));
            }


            return {
              ...item,
              oldSex: oldSex.map(items => {
                if (items.name == item.sex) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),
              oldMarry: oldMarry.map(items => {
                if (items.name == item.partnerState) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),
              addressExt: addressExts,
              nativePlaceExt: nativePlaceExts,
              imgPath: imgPath,
              healthAyy: finalarr,
              disabilityAyy: disabilityAyyss,
              moneyFromAyy: moneyFromAyy,
              familyHelpArr: familyHelpArr,
              otherInfo: otherInfo, //赡养人存在么
              mainLookSex: mainLookSex.map(items => {
                if (items.name == item.mainLookSex) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),
              loneArr: loneArr.map(items => {
                if (items.name == item.isLoss) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),
              liveStatus: accompanyArr,
              oftenMan: lookAfterArr,
              loveRequire: loveRequire,
              oldType: oldTypeArr,
              chooseAdressArr: chooseAdressArr,
              isSameWithAddress: isSameWithAddresss,
              chooseAdressArr1: chooseAdressArr1,
            }
          })
          let def = datass.map(item => {
            console.log(item.otherInfo, "；；；；；；；；；；；；；；；；；；；；；；；；；；");
            let sex = [{
                name: '男',
                checked: false
              },
              {
                name: '女',
                checked: false
              }
            ]
            let otherInfo = '';
            let name = '';
            let phone = ''
            let relation = ''
            let relationExt = ''
            let outgoingCause = ''
            let isHasGoOut = ''
            let outgoingTime = ''
            let isHasPartner = ''
            let outgoingplace = ''
            let phone2 = ''
            let name2 = ''

            let visit = '';
            if (item.otherInfo) {
              let partol = this.removeExcess(item.otherInfo);
              otherInfo = '是'
              if (partol.name) {
                name = partol.name
              }
              if (partol.sex) {
                sex.forEach(items => {
                  if (items.name == partol.sex) {
                    items.checked = true;
                  }
                })
              }
              if (partol.phone) {
                phone = partol.phone
              }
              if (partol.relation) {
                relation = partol.relation
              }
              if (partol.relationExt) {
                relationExt = partol.relationExt
              }
              if (partol.visit) {
                visit = partol.visit;
              }
              if (partol.isHasGoOut) {
                isHasGoOut = partol.isHasGoOut;
              }
              if (partol.outgoingCause) {
                outgoingCause = partol.outgoingCause;
              }
              if (partol.outgoingTime) {
                outgoingTime = partol.outgoingTime;
              }
              if (partol.isHasPartner) {
                isHasPartner = partol.isHasPartner;
              }
              if (partol.outgoingplace) {
                outgoingplace = partol.outgoingplace;
              }
              if (partol.name2) {
                name2 = partol.name2;
              }

              if (partol.phone2) {
                phone2 = partol.phone2;
              }

            } else if (item.otherInfo == '') {
              otherInfo = '否'
            } else {
              otherInfo = ''
            }
            return {
              ...item,
              isHasOther: otherInfo, //赡养人存在
              // name: name,
              // othersyrSexArr: sex,
              // phone: phone,
              // othersyrRelationValue: othersyrRelationValue,
              // relationExt: relationExt,
              // visit: visit,
              Info: {
                name: name,
                phone: phone,
                relation: relation,
                relationExt: relationExt,
                isHasGoOut: isHasGoOut,
                outgoingCause: outgoingCause,
                outgoingTime: outgoingTime,
                isHasPartner: isHasPartner,
                outgoingplace: outgoingplace,
                visit: visit,
                name2: name2,
                phone2: phone2,
                othersyrSexArr: sex
              }

            }
          })
          let ghi = datass.map(item => {
            // console.log(item, "8888888888888888888888888888888888888888888888888888");
            let childrenNum = '';
            if (item.childrenNum) {
              if (item.childrenNum == '4') {
                childrenNum = '3个以上'
              } else {
                childrenNum = item.childrenNum + '个'
              }
            } else {
              childrenNum = ''
            }
            let Info = [];
            if (item.childInfo) {
              let partol = this.removeExcess(item.childInfo);
              Info = partol
            } else {
              if (parseInt(childrenNum) == 5) {
                for (let i = 0; i < parseInt(childrenNum) - 1; i++) {
                  let chlidInfos = {
                    name: '', // 姓名
                    sex: '',
                    phone: '', //  常用联系电话,
                    isHasGoOut: '', // 子女是否外出
                    outgoingplace: '', //  外出地点
                    isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
                    name2: '', // 子女配偶姓名
                    phone2: '', //  子女配偶电话
                    outgoingTime: '', // 最后一次离家时间
                    outgoingCause: '', // 外出原因
                    visit: '', // 平均一年探望次数
                  }
                  Info.push(chlidInfos)
                }
              } else {
                for (let i = 0; i < parseInt(childrenNum); i++) {
                  let chlidInfos = {
                    name: '', // 姓名
                    sex: '',
                    phone: '', //  常用联系电话,
                    isHasGoOut: '', // 子女是否外出
                    outgoingplace: '', //  外出地点
                    isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
                    name2: '', // 子女配偶姓名
                    phone2: '', //  子女配偶电话
                    outgoingTime: '', // 最后一次离家时间
                    outgoingCause: '', // 外出原因
                    visit: '', // 平均一年探望次数
                  }
                  Info.push(chlidInfos)
                }
              }
            }
            return {
              ...item,
              childrenNum: childrenNum,
              Info: Info
            }
          })
          let zzz = datass.map(item => {
            let visitModeExt = ''
            let visitCountExt = ''
            let visitMode = [{
              name: '电话问候',
              checked: false
            }, {
              name: '上门巡访',
              checked: false
            }, {
              name: '其它',
              checked: false
            }]
            let visitCounts = [{
                name: '每天',
                checked: false
              }, {
                name: '每周',
                checked: false
              }, {
                name: '每月',
                checked: false
              },
              {
                name: '每季',
                checked: false
              },
              {
                name: '其它',
                checked: false
              }
            ];
            if (item.regularsInfo) {
              let partol = this.removeExcess(item.regularsInfo);
              let partols = this.removeExcess(partol.visitMode);
              if (partol.visitMode) {
                visitMode.forEach(items => {
                  partols.forEach(itemss => {
                    if (items.name == itemss) {
                      items.checked = true;
                    }
                  })
                })
              }
              if (partol.visitCount) {
                visitCounts.forEach(items => {
                  if (items.name == partol.visitCount) {
                    items.checked = true;
                  }
                })
              }
              if (partol.visitCountExt) {
                visitCountExt = partol.visitCountExt;
              }
              if (partol.visitModeExt) {
                visitModeExt = partol.visitModeExt;
              }
            }
            return {
              ...item,
              visitCountExt: visitCountExt,
              visitModeExt: visitModeExt,
              visitMode: visitMode,
              visitCount: visitCounts,
            }
          })
          let mmm = datass.map(item => {
            if (item.regularsInfo) {
              let partol = this.removeExcess(item.regularsInfo);
              let partols = this.removeExcess(partol.visitMode);
              return {
                visitCount: partol.visitCount,
                visitCountExt: partol.visitCountExt,
                visitMode: partols,
                visitModeExt: partol.visitModeExt,
              }
            }
          })
          that.setData({
            oldInfo: abc,
            otherInfo: def,
            childInfo: ghi,
            regularsInfos: zzz,
            regularsInfo: mmm
          })
        }
      })
    } else {

    }

  }
})